<?php
namespace common\helpers;

use yii;
use common\helpers\AES;

class UrlRule extends yii\web\UrlRule
{
    public $connectionID = 'db';

    public function init()
    {
        if ($this->name === null) {
            $this->name = __CLASS__;
        }
    }

    public function createUrl($manager, $route, $params)
    {

        $args = '?';
        $idx  = 0;

        if(array_key_exists('id', $params ))
        {

            foreach ($params as $num => $val)
            {

                if ($num == 'id') {
                    $val =base64_encode(base64_encode(base64_encode($val)));
                }

                $args .= $num . '=' . $val;
                $idx++;

                if ($idx != count($params)) $args .= '&' ;
            }

            if ($args == '?') $args = '';

            return $route . Yii::$app->urlManager->suffix . $args;
        }

        return false;
    }

    public function parseRequest($manager, $request)
    {


        $pathInfo = $request->getPathInfo();
        $url = $request->getUrl();
        $queryString = parse_url($url);

        if(isset( $queryString['query'] ))
        {

            $queryString = $queryString['query'];
            $args = [];
            parse_str($queryString, $args);
            $params = [];

            foreach($args as $num=>$val){

                if($num == 'id'){
                    $val = base64_decode( base64_decode( base64_decode($val)));
                }

                $params[$num] = $val;
            }

            $routeSuffix = Yii::$app->urlManager->suffix;

//            $route = str_replace( Yii::$app->urlManager->suffix,'', $pathInfo );
            if ($routeSuffix !== null){
                $route = str_replace( $routeSuffix,'', $pathInfo );
            }else{

                // Handle the case where the suffix is null,
                // For example, you might assign a default value or skip the replacement
                $route = $pathInfo;
            }

            return [ $route, $params ];
        }

        return false;  // this rule does not apply
    }
}