<?php

namespace common\models;

use Yii;
use yii\base\Model;

class ChangePassword extends Model
{

    public $current_password;
    public $new_password;
    public $repeat_new_password;

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            ['current_password', 'required'],
            ['current_password', 'string', 'max' => 255],

            ['new_password', 'required'],
            ['new_password', 'string', 'min' => Yii::$app->params['user.passwordMinLength']],

            ['repeat_new_password', 'required'],
            ['repeat_new_password', 'compare', 'compareAttribute' => 'new_password', 'message' => 'New Passwords do not match.'], // New validation rule for password confirmation
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'current_password' => 'Current Password',
            'new_password' => 'New Password',
            'repeat_new_password' => 'Repeat New Password',
        ];
    }
}