<?php

namespace common\models;

use frontend\models\Gallery;
use yii\validators\UrlValidator;

class PostGallery extends Gallery
{

    public function rules()
    {
        return [
            [['name', 'cover'], 'required'],
            [['status'], 'integer'],
            [['created_at'], 'safe'],
            [['name', 'cover', 'link'], 'string', 'max' => 255],
            [['cover'], 'file','extensions' => 'png, jpg, jpeg, gif', 'maxFiles' => 1, 'maxSize' => 2 * 1024 * 1024],
//            [['link'], 'url', 'defaultScheme' => 'http', 'validSchemes' => ['http', 'https']],

            ['link', 'url', 'defaultScheme' => 'http'],
            ['link', 'match', 'pattern' => '/^https?:\/\/.+$/i', 'message' => 'URL must start with http:// or https://'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'cover' => 'Cover',
            'link' => 'Link',
            'status' => 'Status',
            'created_at' => 'Created At',
        ];
    }
}