<?php

namespace common\models;

use frontend\models\Events;
use frontend\models\Headliner;
use yii\validators\ImageValidator;

class PostHeadliner extends Headliner
{

    public function rules()
    {
        return [
            [['event_id', 'name', 'descriptions', 'text_on_play_button', 'cover'], 'required'],
            [['event_id', 'status'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['name', 'descriptions', 'cover', 'video_link'], 'string', 'max' => 255],
            [['cover'], 'file','extensions' => 'png, jpg, jpeg, gif', 'maxFiles' => 1, 'maxSize' => 2 * 1024 * 1024],
            [['cover'], ImageValidator::class, 'maxWidth' => 1000, 'maxHeight' => 1000, 'minWidth' => 1000, 'minHeight' => 1000],
            [['text_on_play_button'], 'string', 'max' => 50],
            [['event_id'], 'exist', 'skipOnError' => true, 'targetClass' => Events::class, 'targetAttribute' => ['event_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'event_id' => 'Event',
            'name' => 'Name',
            'descriptions' => 'Descriptions',
            'cover' => 'Cover',
            'video_link' => 'Video Link',
            'text_on_play_button' => 'Text On Play Button',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}