<?php

namespace common\models;

use frontend\models\LineUp;
use frontend\models\LineUpList;
use yii\validators\ImageValidator;

class PostLineUpList extends LineUpList
{

    public function rules()
    {
        return [
            [['line_up_id', 'title', 'cover'], 'required'],
            [['line_up_id', 'status'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['title', 'sub_title'], 'string', 'max' => 50],
            [['cover'], 'string', 'max' => 255],
            [['cover'], 'file','extensions' => 'png, jpg, jpeg, gif', 'maxFiles' => 1, 'maxSize' => 2 * 1024 * 1024],
            [['cover'], ImageValidator::class, 'maxWidth' => 250, 'maxHeight' => 415, 'minWidth' => 250, 'minHeight' => 415],
            [['line_up_id'], 'exist', 'skipOnError' => true, 'targetClass' => LineUp::class, 'targetAttribute' => ['line_up_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'line_up_id' => 'Line Up',
            'title' => 'Name',
            'sub_title' => 'Genre',
            'cover' => 'Cover',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}