<?php

namespace common\models;

use frontend\models\ScheduleDays;
use frontend\models\ScheduleDaysList;
use yii\validators\ImageValidator;

class PostScheduleDayList extends ScheduleDaysList
{

    public function rules()
    {
        return [
            [['schedule_days_id', 'title', 'time', 'cover'], 'required'],
            [['schedule_days_id', 'status'], 'integer'],
            [['sub_title'], 'string'],
            [['time', 'created_at', 'updated_at'], 'safe'],
            [['title', 'cover'], 'string', 'max' => 255],
            [['cover'], 'file','extensions' => 'png, jpg, jpeg, gif', 'maxFiles' => 1, 'maxSize' => 2 * 1024 * 1024],
            [['cover'], ImageValidator::class, 'maxWidth' => 80, 'maxHeight' => 80, 'minWidth' => 80, 'minHeight' => 80],
            [['schedule_days_id'], 'exist', 'skipOnError' => true, 'targetClass' => ScheduleDays::class, 'targetAttribute' => ['schedule_days_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'schedule_days_id' => 'Schedule Days',
            'title' => 'Title',
            'sub_title' => 'Sub Title',
            'time' => 'Time',
            'cover' => 'Cover',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}