<?php
namespace common\models\auths;

use Yii;
use yii\base\InvalidRouteException;
use yii\base\Model;
use yii\db\Expression;
use yii\helpers\Json;
use yii\helpers\Url;
use yii\web\NotFoundHttpException;
use yii\helpers\ArrayHelper;
use yii\db\Query;


/**
 * Login form
 */
class Abr extends \yii\base\Behavior
{

    /**
     * Renders the index view for the module
     * @return string
     */

     public function events()
     {
         return [
             \yii\web\Application::EVENT_AFTER_REQUEST => 'forAuths',
         ];
     }

    /**
     * @throws InvalidRouteException
     * @throws NotFoundHttpException
     */
    public function forAuths()
     {

        if (Yii::$app->user->isGuest)
        {

            // throw new NotFoundHttpException('Sorry, You must login first!');
            // if ( Ar::publicRoute() )
            // {
            //
            //     return null;
            //
            // }

            if ( Ar::urlExcept() )
            {

                return null;

            }

            return Yii::$app->response->redirect([
                'site/login',
            ]);

        }

        if ( Ar::publicRoute() )
        {

            return null;

        }

        if ( !Ar::usercan() ) {

            throw new NotFoundHttpException('Sorry, You don\'t have permission to perform this action!');

        }

        return null;

    }

}
