<?php
namespace common\models\auths;

use Yii;
use yii\base\Model;
use yii\db\Expression;
use yii\helpers\Json;
use yii\helpers\Url;
use yii\web\NotFoundHttpException;
use yii\helpers\ArrayHelper;
use yii\db\Query;

use frontend\models\Permission;
use frontend\models\RolePermissions;
use frontend\models\Roles;

use frontend\models\User;


/**
 * Login form
 */
class AuthRoute
{

    public $permission;
    public $User;

    /**
     * Renders the index view for the module
     * @return bool
     */
    public function trueRoute($routeUrl=null)
    {

//        if (Yii::$app->user->isGuest) {
//            return Yii::$app->response->redirect([
//                '/login'
//            ]);
//        }

        $this->permission = (isset( $routeUrl ))? $routeUrl : ((isset(Yii::$app->controller->action->id, Yii::$app->controller->id))? (Yii::$app->controller->id .'/'. Yii::$app->controller->action->id) : null ) ;
        if (isset( $this->permission )) {

            $this->User = User::findOne([
                'id' => Yii::$app->user->identity->id?? null,
            ]);

            return true;

        }

        return false;
    }

    /**
     * Renders the index view for the module
     * @return bool
     */
    public function usercan($routeUrl=null)
    {

        if ($this->trueRoute($routeUrl))
        {

            if (($chk = Permission::findOne([ 'permitted_route' => $this->permission ])) !== null )
            {

                // echo "{$this->permission} & {$chk->id} => {$this->User->userID}, {$this->User->role}";
                // exit();

                if ( RolePermissions::findOne([
                    'role_id' => $this->User->role?? null,
                    'permission_id' => $chk->id?? null,
                ]) !== null )
                {

                    return true;

                } else {

                    return false;

                }

            } else {

                return true;

            }

        }

        return false;

    }

    /**
     * Renders the index view for the module
     * @return bool
     */
    public function publicRoute($routeUrl=null)
    {

        if ($this->trueRoute($routeUrl))
        {

            if (($model = Permission::findOne([ 'permitted_route' => $this->permission ])) === null) {

                // echo "{$this->permission}"; exit();
                return true;
            }

        }

        return false;
    }


    /**
     * Renders the index view for the module
     * @return bool
     */
    public function dashboard()
    {

        $this->permission = (isset( $routeUrl ))? $routeUrl : ((isset(Yii::$app->controller->action->id, Yii::$app->controller->id))? (Yii::$app->controller->id .'/'. Yii::$app->controller->action->id) : null ) ;

        if (isset( $this->permission ))
        {

            if ( $this->permission === 'site/index' )
            {

                return true;

            }

        }

        return false;

    }


    /**
     * Renders the index view for the module
     * @return bool
     */
    public function urlExcept()
    {

        if ($this->trueRoute())
        {

            if (isset( $this->permission ))
            {


                if ( in_array(
                    $this->permission,
                    [
                        'site/login',
                        'site/verify-email',
                        'site/reset-password',
                        'scholarships-application/submit',
                        'scholarships-application/sent',
                        'scholarships-application/create',
                        'scholarships-application/application',
                    ]
                )) {

                    return true;

                }

            }

        }

        return false;

    }


}
