<?php
$params = array_merge(
    require __DIR__ . '/../../common/config/params.php',
    require __DIR__ . '/../../common/config/params-local.php',
    require __DIR__ . '/params.php',
    require __DIR__ . '/params-local.php'
);

return [
    'id' => 'app-frontend',
    'name' => 'Maasai Global Festival',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
    'controllerNamespace' => 'frontend\controllers',
    'components' => [
    
        'authManager' => [
            'class' => 'yii\rbac\DbManager',
            'defaultRoles' => ['guest', 'user'],
        ],
        'abr' => [
            'class' => \common\models\auths\Ar::class,
        ],
        'request' => [
            'csrfParam' => '_csrf-frontend',
        ],
        'user' => [
            'identityClass' => 'common\models\User',
            'enableAutoLogin' => true,
            'identityCookie' => ['name' => '_identity-frontend', 'httpOnly' => true],
        ],
        'session' => [
            // this is the name of the session cookie used for login on the frontend
            'name' => 'MaasaiGF-5rtk47gt54hfr-festival',
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => \yii\log\FileTarget::class,
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
                'urlManager' => [

            'class' => 'yii\web\UrlManager',
            'showScriptName' => false,
            'enablePrettyUrl' => true,
            'rules' => array(
                [
                    'class' => 'common\helpers\UrlRule'
                ],

                'request-password-reset'=>'site/request-password-reset',
                'login'=>'site/login',
                'pin'=>'site/pin',
                'signup'=>'site/signup',
                'about'=>'site/about',
                'contact'=>'site/contact',
                'registration'=>'site/registration',
                'resend-verification-email'=>'site/resend-verification-email',
                '/'=>'site/index',

                '<controller:\w+>/<id:\d+>'     => '<controller>/<action>',
                '<controller:\w+>/<id:\d+>/<action:\w+>'    => '<controller>/<action>',
                '<controller:\w+>/<action:\w+>' => '<controller>/<action>',
            ),
        ],
    ],
    'params' => $params,
];
