<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "headliner_attributes".
 *
 * @property int $id
 * @property int $headliner_id
 * @property string $title
 * @property string $descriptions
 * @property string $icon
 * @property string|null $color
 * @property int $order
 * @property int $status
 * @property string $created_at
 * @property string $updated_at
 *
 * @property Headliner $headliner
 */
class HeadlinerAttributes extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'headliner_attributes';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['headliner_id', 'title', 'descriptions'], 'required'],
            [['headliner_id', 'order', 'status'], 'integer'],
            [['descriptions'], 'string'],
            [['created_at', 'updated_at'], 'safe'],
            [['title'], 'string', 'max' => 255],
            [['icon', 'color'], 'string', 'max' => 50],
            [['headliner_id'], 'exist', 'skipOnError' => true, 'targetClass' => Headliner::class, 'targetAttribute' => ['headliner_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'headliner_id' => 'Headliner ID',
            'title' => 'Title',
            'descriptions' => 'Descriptions',
            'icon' => 'Icon',
            'color' => 'Color',
            'order' => 'Order',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    /**
     * Gets query for [[Headliner]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getHeadliner()
    {
        return $this->hasOne(Headliner::class, ['id' => 'headliner_id']);
    }
}
