<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "line_up_list_social_media".
 *
 * @property int $id
 * @property int $line_up_list_id
 * @property string $icon
 * @property string $color
 * @property string $link
 * @property string $created_at
 *
 * @property LineUpList $lineUpList
 */
class LineUpListSocialMedia extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'line_up_list_social_media';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['line_up_list_id', 'icon'], 'required'],
            [['line_up_list_id'], 'integer'],
            [['created_at'], 'safe'],
            [['icon', 'color', 'link'], 'string', 'max' => 255],
            [['line_up_list_id'], 'exist', 'skipOnError' => true, 'targetClass' => LineUpList::class, 'targetAttribute' => ['line_up_list_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'line_up_list_id' => 'Line Up List ID',
            'icon' => 'Icon',
            'color' => 'Color',
            'link' => 'Link',
            'created_at' => 'Created At',
        ];
    }

    /**
     * Gets query for [[LineUpList]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getLineUpList()
    {
        return $this->hasOne(LineUpList::class, ['id' => 'line_up_list_id']);
    }
}
