<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "partners".
 *
 * @property int $id
 * @property int $event_id
 * @property string|null $name
 * @property string $link
 * @property string $image
 * @property string $created_at
 *
 * @property Events $event
 */
class Partners extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'partners';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['event_id', 'image'], 'required'],
            [['event_id'], 'integer'],
            [['created_at'], 'safe'],
            [['name', 'link', 'image'], 'string', 'max' => 255],
            [['event_id'], 'exist', 'skipOnError' => true, 'targetClass' => Events::class, 'targetAttribute' => ['event_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'event_id' => 'Event ID',
            'name' => 'Name',
            'link' => 'Link',
            'image' => 'Image',
            'created_at' => 'Created At',
        ];
    }

    /**
     * Gets query for [[Event]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getEvent()
    {
        return $this->hasOne(Events::class, ['id' => 'event_id']);
    }
}
