<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "registration_form".
 *
 * @property int $id
 * @property string $stage_name
 * @property resource $biography
 * @property int $country_id
 * @property string $email
 * @property string|null $phone_number
 * @property string $smart_link
 * @property int $status
 * @property string $created_at
 *
 * @property Country $country
 */
class RegistrationForm extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'registration_form';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['stage_name', 'biography', 'country_id', 'email', 'smart_link'], 'required'],
            [['biography'], 'string'],
            [['country_id', 'status'], 'integer'],
            [['created_at'], 'safe'],
            [['stage_name', 'smart_link'], 'string', 'max' => 200],
            [['email'], 'string', 'max' => 100],
            [['phone_number'], 'string', 'max' => 30],
            [['country_id'], 'exist', 'skipOnError' => true, 'targetClass' => Country::class, 'targetAttribute' => ['country_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'stage_name' => 'Stage Name',
            'biography' => 'Biography',
            'country_id' => 'Country',
            'email' => 'Email',
            'phone_number' => 'Phone Number',
            'smart_link' => 'Smart Link',
            'status' => 'Status',
            'created_at' => 'Created At',
        ];
    }

    /**
     * Gets query for [[Country]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCountry()
    {
        return $this->hasOne(Country::class, ['id' => 'country_id']);
    }
}
