<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "schedule_days".
 *
 * @property int $id
 * @property int $schedule_id
 * @property string $title
 * @property string $date
 * @property int $status
 * @property string $created_at
 * @property string $updated_at
 *
 * @property Schedule $schedule
 * @property ScheduleDaysList[] $scheduleDaysLists
 */
class ScheduleDays extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'schedule_days';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['schedule_id', 'title', 'date'], 'required'],
            [['schedule_id', 'status'], 'integer'],
            [['date', 'created_at', 'updated_at'], 'safe'],
            [['title'], 'string', 'max' => 255],
            [['schedule_id'], 'exist', 'skipOnError' => true, 'targetClass' => Schedule::class, 'targetAttribute' => ['schedule_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'schedule_id' => 'Schedule ID',
            'title' => 'Title',
            'date' => 'Date',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    /**
     * Gets query for [[Schedule]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getSchedule()
    {
        return $this->hasOne(Schedule::class, ['id' => 'schedule_id']);
    }

    /**
     * Gets query for [[ScheduleDaysLists]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getScheduleDaysLists()
    {
        return $this->hasMany(ScheduleDaysList::class, ['schedule_days_id' => 'id']);
    }
}
