<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "schedule_days_list".
 *
 * @property int $id
 * @property int $schedule_days_id
 * @property string $title
 * @property string|null $sub_title
 * @property string $time
 * @property string $cover
 * @property int $status
 * @property string $created_at
 * @property string $updated_at
 *
 * @property ScheduleDays $scheduleDays
 */
class ScheduleDaysList extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'schedule_days_list';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['schedule_days_id', 'title', 'time', 'cover'], 'required'],
            [['schedule_days_id', 'status'], 'integer'],
            [['sub_title'], 'string'],
            [['time', 'created_at', 'updated_at'], 'safe'],
            [['title', 'cover'], 'string', 'max' => 255],
            [['schedule_days_id'], 'exist', 'skipOnError' => true, 'targetClass' => ScheduleDays::class, 'targetAttribute' => ['schedule_days_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'schedule_days_id' => 'Schedule Days ID',
            'title' => 'Title',
            'sub_title' => 'Sub Title',
            'time' => 'Time',
            'cover' => 'Cover',
            'status' => 'Status',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    /**
     * Gets query for [[ScheduleDays]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getScheduleDays()
    {
        return $this->hasOne(ScheduleDays::class, ['id' => 'schedule_days_id']);
    }
}
