<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var frontend\models\Events $model */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Events', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="events-view">

    <h3 class="mb-3"><?= Html::encode($this->title) ?></h3>

    <div class="row">
        <div class="col-sm-8">
            <div class="card">
                <div class="card-body">

                    <?= $model->descriptions?? ''?>
                    <?= $model->map?? ''?>
                </div>
            </div>
        </div>
        <div class="col-sm-4">
            <div class="row">
                <div class="card">
                    <div class="card-body">
                        <p class="float-end">
                            <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-sm btn-primary']) ?>
                            <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                                'class' => 'btn btn-sm btn-danger',
                                'data' => [
                                    'confirm' => 'Are you sure you want to delete this item?',
                                    'method' => 'post',
                                ],
                            ]) ?>
                            <?= Html::a('Update Cover', ['update-cover', 'id' => $model->id], ['class' => 'btn btn-sm btn-success']) ?>
                        </p>

                        <?php
                        $url_image = (isset( $model->cover ))? "@web/$model->cover" : "@web/uploads/images/cover.png" ;
                        echo Html::img($url_image, [ 'class' => 'img-fluid rounded']);
                        ?>
                        <hr />
                        <strong>Season:</strong> <br><?= $model->season->title?? ''?>
                        <hr />
                        <strong>Venue:</strong> <br><?= $model->venue?? ''?>
                        <hr />
                        <strong>Location:</strong> <br><?= ($model->address?? '') . ',<br>' . ($model->region->name?? '') . ' - ' . ($model->country->name?? '')?>
                        <hr />
                        <strong>From:</strong> <br><?= ($model->start_date?? '') . ' ' . ($model->start_time?? '')?>
                        <hr />
                        <strong>To:</strong> <br><?= ($model->end_date?? '') . ' ' . ($model->end_time?? '') ?>
                        <hr />
                        <strong>Application Closed:</strong> <br><?= $model->sales_close?? ''?>
                        <hr />
                        <strong>Last Updated:</strong> <br><?= $model->created_at?? ''?>
                        <hr />
                        <strong>status:</strong> <br>
                        <?php
                            if( $model->status === 10 )
                            {
                                echo '<span class="badge bg-success">ACTIVE</span>';
                            }else
                            {
                                echo '<span class="badge bg-danger">INACTIVE</span>';
                            }
                        ?>
                        <hr />

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
