<?php

use frontend\models\Gallery;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;
use yii\widgets\Pjax;
/** @var yii\web\View $this */
/** @var frontend\models\GallerySearch $searchModel */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Amazing Tanzania';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="gallery-index">

    <p>
        <?= Html::a('Create Amazing Tanzania', ['create'], ['class' => 'btn btn-sm btn-success']) ?>
    </p>

    <?php Pjax::begin(); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'tableOptions' => ['class' => 'table table-striped nowrap table-striped align-middle table-sm table-hover text-nowrap'],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'name',
            [
                'label' => 'cover',
                'format' => 'raw',
                'value' => function ($table) {
                    return Html::img(Yii::getAlias('@web') . '/'.$table->cover, ['alt' => 'Headliner Image', 'height' => '50']);
                },
            ],
            'link:url',
            [
                'attribute' => 'status',
                'filter'=>array("10"=>"ACTIVE","20"=>"INACTIVE"),
                'label' => 'Status',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function($table) {
                    return (isset($table->status) && ($table->status == 10))? '<span class="badge bg-success">ACTIVE</span>' : '<span class="badge bg-danger">INACTIVE</span>' ;
                }
            ],
            'created_at:datetime',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, Gallery $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
