<?php

use kartik\form\ActiveForm;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\HeadlinerAttributes $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="headliner-attributes-form">

    <div class="row ">
        <div class="col-lg-12">

            <?php $form = ActiveForm::begin(); ?>

            <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>
        </div>
        <div class="col-lg-6">
            <?= $form->field($model, 'headliner_id')->widget(Select2::classname(), [
                'data' => ArrayHelper::map($headliner, 'id', 'name'),
                'options' => ['placeholder' => 'Select a headliner ...'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ])->label('Headliner ')?>
        </div>
        <div class="col-lg-2">
            <?= $form->field($model, 'order')->textInput(['maxlength' => true]) ?>
        </div>
        <div class="col-lg-4">
            <?= $form->field($model, 'status')->dropDownList(
                ArrayHelper::map(
                    [
                        ['id' => 10, 'name' => 'ACTIVE'],
                        ['id' => 20, 'name' => 'INACTIVE']
                    ],
                    'id',
                    'name'
                )
            ) ?>
        </div>
        <div class="col-lg-12">
            <?= $form->field($model, 'descriptions')->textarea(['rows' => 6]) ?>
        </div>

        <div class="form-group">
            <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
        </div>

        <?php ActiveForm::end(); ?>

    </div>
</div>