<?php

use kartik\form\ActiveForm;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\Headliner $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="headliner-form">
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'method' => 'post']]); ?>

            <?= $form->field($model, 'event_id')->widget(Select2::classname(), [
                'data' => ArrayHelper::map($event, 'id', 'name'),
                'options' => ['placeholder' => 'Select a event ...'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ])->label('Event')?>

            <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'descriptions')->textarea(['maxlength' => true]) ?>

            <?= $form->field($model, 'video_link')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'text_on_play_button')->textInput(['maxlength' => true]) ?>

            <?php if(!$model->id){?>

                <label for="formFile" class="form-label">Choose Cover</label>
                <?= $form->field($model, 'cover')->fileInput(['multiple' => false, 'accept' => 'image/*'])->label(false) ?>

            <?php } ?>

            <?= $form->field($model, 'status')->dropDownList(
                ArrayHelper::map(
                    [
                        ['id' => 10, 'name' => 'ACTIVE'],
                        ['id' => 20, 'name' => 'INACTIVE']
                    ],
                    'id',
                    'name'
                )
            ) ?>

            <div class="form-group">
                <?= Html::submitButton('Save', ['class' => 'btn btn-sm btn-success']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>
    </div>
</div>