<?php

use frontend\models\Headliner;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;
use yii\widgets\Pjax;
/** @var yii\web\View $this */
/** @var frontend\models\HeadlinerSearch $searchModel */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Headliners';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="headliner-index">

    <p>
        <?= Html::a('Create Headliner', ['create'], ['class' => 'btn btn-sm btn-success']) ?>
    </p>

    <?php Pjax::begin(); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'tableOptions' => ['class' => 'table table-striped nowrap table-striped align-middle table-sm table-hover text-nowrap'],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            [
                'attribute' => 'event_id',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function ($table) {
                    return $table->event->name?? '';
                }
            ],
            'name',
            [
                'attribute' => 'descriptions',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function ($table) {
                    return nl2br(Html::encode(substr($table->descriptions, 0, 50))).' ...';
                }
            ],
            'text_on_play_button',
            [
                'attribute' => 'status',
                'filter'=>array("10"=>"ACTIVE","20"=>"INACTIVE"),
                'label' => 'Status',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function($table) {
                    return (isset($table->status) && ($table->status == 10))? '<span class="badge bg-success">ACTIVE</span>' : '<span class="badge bg-danger">INACTIVE</span>' ;
                }
            ],
            'created_at:datetime',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, Headliner $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
