<?php

use common\widgets\Alert;

?>
<!doctype html>
<html lang="en" data-bs-theme="dark">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Eventiva description contents">
    <title>Maasai Global Festival</title>
    <link rel="shortcut icon" type="images/png" href="/themes/site/assets/images/favicon.png">

    <!-- Google fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com/">
    <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,600;1,700;1,800&amp;family=Plus+Jakarta+Sans:wght@400;600&amp;family=Poppins:wght@400;600;700;800;900&amp;family=Roboto:wght@400;500;700;900&amp;display=swap" rel="stylesheet">

    <link rel="stylesheet" href="/themes/site/assets/css/animate.css">
    <link rel="stylesheet" href="/themes/site/assets/css/magnific-popup.css">
    <link rel="stylesheet" href="/themes/site/assets/css/swiper-bundle.min.css">
    <link rel="stylesheet" href="/themes/site/assets/css/odometer.css">
    <link rel="stylesheet" href="/themes/site/assets/css/leaflet.css">
    <link rel="stylesheet" href="/themes/site/assets/css/leaflet-routing-machine.css">

    <!-- Main CSS -->
    <link rel="stylesheet" href="/themes/site/assets/css/style.css">

</head>

<body class="home-1">
<div class="ball"></div>
<div class="cursor-text"></div>

<div class="preloader">

    <img src="/themes/site/assets/images/maasai.png" class="logo-light" alt="logo" height="350">
</div>

<!-- Header ======================-->
<?= $this->render('site/header'); ?>

<div class="main" id="home" data-bs-spy="scroll" data-bs-target="#navContentmenu" data-bs-root-margin="0px 0px -50%" data-bs-smooth-scroll="true">


    <?= Alert::widget() ?>
    <?= $content ?>


</div>

<!-- Footer ======================-->

<?= $this->render('site/footer'); ?>


<!-- Scripts/Plugins ======================-->

<script src="/themes/site/assets/js/jquery-3.7.0.min.js"></script>
<script src="/themes/site/assets/js/bootstrap.bundle.min.js"></script>
<script src="/themes/site/assets/js/jquery.magnific-popup.min.js"></script>
<script src="/themes/site/assets/js/swiper-bundle.min.js"></script>
<!-- text-opacity -->
<script src="/themes/site/assets/js/gsap.min.js"></script>
<script src="/themes/site/assets/js/scrollTrigger.min.js"></script>
<script src="/themes/site/assets/js/text-opacity.js"></script>
<!-- text-opacity -->

<!-- counter-up -->
<script src="/themes/site/assets/js/odometer.js"></script>
<!-- counter-up -->
<script src="/themes/site/assets/js/countdown.js"></script>
<script src="/themes/site/assets/js/scroll.js"></script>

<!-- map -->
<script src="/themes/site/assets/js/leaflet.js"></script>
<script src="/themes/site/assets/js/leaflet-routing-machine.min.js"></script>
<script src="/themes/site/assets/js/leaflet-scripts.js"></script>
<!-- map -->

<script src="/themes/site/assets/js/scripts.js"></script>
<!-- Scripts/Plugins ======================-->

</body>

</html>