<?php

use kartik\form\ActiveForm;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\LineUpList $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="line-up-list-form">
    <div class="row justify-content-center">
        <div class="col-lg-6">

            <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'method' => 'post']]); ?>

            <?= $form->errorSummary($model)?>

            <?= $form->field($model, 'line_up_id')->widget(Select2::classname(), [
                'data' => ArrayHelper::map($lineUp, 'id', 'title'),
                'options' => ['placeholder' => 'Select a line up ...'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ])->label('Line Up')?>

            <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'sub_title')->textInput(['maxlength' => true]) ?>

            <?php if(!$model->id){?>

                <label for="formFile" class="form-label">Choose Cover</label>
                <?= $form->field($model, 'cover')->fileInput(['multiple' => false, 'accept' => 'image/*'])->label(false) ?>

            <?php } ?>

            <?= $form->field($model, 'status')->dropDownList(
                ArrayHelper::map(
                    [
                        ['id' => 10, 'name' => 'ACTIVE'],
                        ['id' => 20, 'name' => 'INACTIVE']
                    ],
                    'id',
                    'name'
                )
            ) ?>

            <div class="form-group">
                <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>
    </div>
</div>