<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var frontend\models\LineUpList $model */

$this->title = $model->title;
$this->params['breadcrumbs'][] = ['label' => 'Line Up Lists', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="line-up-list-view">

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-sm btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-sm btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [

            [
                'label' => 'cover',
                'format' => 'raw',
                'value' => function ($table) {
                    return Html::img(Yii::getAlias('@web') . '/'.$table->cover, ['alt' => 'Headliner Image', 'height' => '100']);
                },
            ],
            [
                'attribute' => 'line_up_id',
                'format' => 'html', //  <text>, <html>, <row>
                'label' => 'Line Up',
                'value' => function ($table) {
                    return $table->lineUp->title?? '';
                }
            ],
            [
                'attribute' => 'title',
                'format' => 'html', //  <text>, <html>, <row>
                'label' => 'Name',
                'value' => function ($table) {
                    return $table->title?? '';
                }
            ],
            [
                'attribute' => 'sub_title',
                'format' => 'html', //  <text>, <html>, <row>
                'label' => 'Genre',
                'value' => function ($table) {
                    return $table->sub_title?? '';
                }
            ],
            [
                'attribute' => 'status',
                'label' => 'Status',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function($table) {
                    return (isset($table->status) && ($table->status == 10))? '<span class="badge bg-success">ACTIVE</span>' : '<span class="badge bg-danger">INACTIVE</span>' ;
                }
            ],
            'created_at:datetime',
            'updated_at:datetime',
        ],
    ]) ?>

</div>
