<?php

use borales\extensions\phoneInput\PhoneInput;
use kartik\form\ActiveForm;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\RegistrationForm $model */
/** @var yii\widgets\ActiveForm $form */

$this->registerCss(
    <<<CSS

  .iti--allow-dropdown {
      width: 100%;
  }

CSS
);
?>

<div class="registration-form-form">
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <?php $form = ActiveForm::begin(); ?>

            <?= $form->field($model, 'stage_name')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'biography')->textarea() ?>

            <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'phone_number')->widget(PhoneInput::className(), [
                'jsOptions' => [
                    'preferredCountries' => ['tz', 'ug', 'ke', 'rw', 'bi', 'et',],
                ]
            ]); ?>

            <?= $form->field($model, 'country_id')->widget(Select2::classname(), [
                'data' => ArrayHelper::map($country, 'id', 'name'),
                'options' => ['placeholder' => 'Select a country ...'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ])->label('Country')?>

            <?= $form->field($model, 'smart_link')->textInput(['maxlength' => true]) ?>

            <div class="form-group">
                <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
            </div>

            <?php ActiveForm::end(); ?>
        </div>
    </div>

</div>
