<?php

use frontend\models\RegistrationForm;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;
use yii\widgets\Pjax;
/** @var yii\web\View $this */
/** @var frontend\models\RegistrationFormSearch $searchModel */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Registration Forms';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="registration-form-index">

    <p>
        <?= Html::a('Create Registration Form', ['create'], ['class' => 'btn btn-sm btn-success']) ?>
    </p>

    <?php Pjax::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'tableOptions' => ['class' => 'table table-striped nowrap table-striped align-middle table-sm table-hover text-nowrap'],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'stage_name',
            [
                'attribute' => 'country_id',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function ($table) {
                    return nl2br(Html::encode($table->country->name?? ''));
                }
            ],
            'email:email',
            'phone_number',
            //'smart_link',
            //'status',
            'created_at',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, RegistrationForm $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
