<?php

use kartik\form\ActiveForm;
use kartik\select2\Select2;
use kartik\time\TimePicker;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\ScheduleDaysList $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="schedule-days-list-form">
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <?php $form = ActiveForm::begin(); ?>

            <?= $form->field($model, 'schedule_days_id')->widget(Select2::classname(), [
                'data' => ArrayHelper::map($scheduleDays, 'id', 'title'),
                'options' => ['placeholder' => 'Select a schedule days ...'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ])->label('Schedule Days')?>

            <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'sub_title')->textarea(['rows' => 3]) ?>

            <div class="row">
                <div class="col-lg-6">
                    <?= $form->field($model, 'time')->widget(TimePicker::classname(), [
                        'pluginOptions' => [
                            'showSeconds' => true,
                            'showMeridian' => false,
                            'minuteStep' => 1,
                            'secondStep' => 1,
                        ]
                    ]); ?>
                </div>
                <div class="col-lg-6">
                    <?= $form->field($model, 'status')->dropDownList(
                        ArrayHelper::map(
                            [
                                ['id' => 10, 'name' => 'ACTIVE'],
                                ['id' => 20, 'name' => 'INACTIVE']
                            ],
                            'id',
                            'name'
                        )
                    ) ?>
                </div>
            </div>
            <?php if(!$model->id) {?>
            <div class="mb-3">
                <label for="formFile" class="form-label">Choose Cover</label>
                <?= $form->field($model, 'cover')->fileInput(['multiple' => false, 'accept' => 'image/*'])->label(false) ?>
            </div>
            <?php } ?>
            <div class="form-group">
                <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>
    </div>
</div>
