<?php

use frontend\models\ScheduleDaysList;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;
use yii\widgets\Pjax;
/** @var yii\web\View $this */
/** @var frontend\models\ScheduleDaysListSearch $searchModel */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Schedule Days Lists';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="schedule-days-list-index">

    <p>
        <?= Html::a('Create Schedule Days List', ['create'], ['class' => 'btn btn-sm btn-success']) ?>
    </p>

    <?php Pjax::begin(); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'tableOptions' => ['class' => 'table table-striped nowrap table-striped align-middle table-sm table-hover text-nowrap'],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            [
                'label' => 'cover',
                'format' => 'raw',
                'value' => function ($table) {
                    return Html::img(Yii::getAlias('@web') . '/'.$table->cover, ['alt' => 'Headliner Image', 'height' => '50']);
                },
            ],
            [
                'attribute' => 'schedule_days_id',
                'format' => 'html', //  <text>, <html>, <row>
                'label' => 'Schedule Days',
                'value' => function ($table) {
                    return $table->scheduleDays->title?? '';
                }
            ],
            'title',
            [
                'attribute' => 'sub_title',
                'label' => 'Descriptions',
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function ($table) {
                    return nl2br(Html::encode(substr($table->sub_title, 0, 50))).' ...';
                }
            ],
            'time:time',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, ScheduleDaysList $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
