<?php

use frontend\models\Season;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;
use yii\widgets\Pjax;
/** @var yii\web\View $this */
/** @var frontend\models\SeasonSearch $searchModel */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Seasons';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="season-index">

    <p>
        <?= Html::a('Create Season', ['create'], ['class' => 'btn btn-sm btn-success']) ?>
    </p>

    <?php Pjax::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'title',
            [
                'attribute' => 'status',
                'filter'=>array("10"=>"ACTIVE", "20"=>"INACTIVE"),
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function($table) {
                    if( $table->status == 10 )
                    {
                        return '<span class="badge bg-success">ACTIVE</span>';
                    }elseif ( $table->status == 20 )
                    {
                        return '<span class="badge bg-danger">INACTIVE</span>';
                    }else{
                        return '<span class="badge bg-dark">NaN</span>';
                    }
                }
            ],
            'created_at:datetime',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, Season $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
