<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var frontend\models\Season $model */

$this->title = $model->title;
$this->params['breadcrumbs'][] = ['label' => 'Seasons', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="season-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-sm btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-sm btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'title',
            [
                'attribute' => 'status',
                'filter'=>array("10"=>"ACTIVE", "20"=>"INACTIVE"),
                'format' => 'html', //  <text>, <html>, <row>
                'value' => function($table) {
                    if( $table->status == 10 )
                    {
                        return '<span class="badge bg-success">ACTIVE</span>';
                    }elseif ( $table->status == 20 )
                    {
                        return '<span class="badge bg-danger">INACTIVE</span>';
                    }else{
                        return '<span class="badge bg-dark">NaN</span>';
                    }
                }
            ],
            'created_at:datetime',
        ],
    ]) ?>

</div>
