<?php

use borales\extensions\phoneInput\PhoneInput;
use kartik\form\ActiveForm;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\RegistrationForm $model */
/** @var yii\widgets\ActiveForm $form */

$this->registerCss(
    <<<CSS

  .iti--allow-dropdown {
      width: 100%;
  }

CSS
);
?>

<div class="registration-form-form">

    <!--Contact Section ======================-->
    <section class="contact-section contact-page pt-70 pt-lg-120 pt-xxl-150">
        <div class="container">
            <div class="row gy-20 gy-lg-0 align-items-lg-end justify-content-lg-between mb-30 mb-lg-70">
                <div class="col-lg-7">
                    <div class="section-title section-title-style-2">
                        <h1 class="fw-extra-bold mb-n2 text-opacity">African Vibes Registration Form</h1>
                    </div>
                    <!-- section-title -->
                </div>
                <div class="col-lg-5">
                    <div class="highlights-text">
                        <p class="custom-roboto text-lg-end">
                            Immerse in mesmerizing performances,vibrant soundscapes,and interactive art at our music extravaganza. Experience a festival atmosphere like no other, where unforgettable moments.
                        </p>
                    </div>
                </div>
            </div>
            <!-- row -->

            <div class="row">
                <?php $form = ActiveForm::begin(); ?>
                <div class="col-lg-6">
                    <?= $form->field($model, 'stage_name')->textInput(['maxlength' => true]) ?>
                </div>

                <div class="col-lg-6">
                    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>
                </div>

                <div class="col-lg-6">
                    <?= $form->field($model, 'phone_number')->widget(PhoneInput::className(), [
                        'jsOptions' => [
                            'preferredCountries' => ['tz', 'ug', 'ke', 'rw', 'bi', 'et',],
                        ]
                    ]); ?>
                </div>

                <div class="col-lg-6">
                    <?= $form->field($model, 'country_id')->widget(Select2::classname(), [
                        'data' => ArrayHelper::map($country, 'id', 'name'),
                        'options' => ['placeholder' => 'Select a country ...'],
                        'pluginOptions' => [
                            'allowClear' => true
                        ],
                    ])->label('Country')?>
                </div>

                <div class="col-12">
                    <?= $form->field($model, 'smart_link')->textInput(['maxlength' => true]) ?>
                </div>

                <div class="col-12">
                    <?= $form->field($model, 'biography')->textarea(['row' => 6]) ?>
                </div>

                <div class="form-group">
                    <?= Html::submitButton('Submit', ['class' => 'btn btn-success d-inline-flex']) ?>
                </div>
                <?php ActiveForm::end(); ?>
            </div>
            <!-- row -->

            <!-- contact-us-form -->
        </div>
        <!-- container -->
    </section>
    <!--Contact Section ======================-->

</div>