<?php
$this->title = 'Maasai Grobal Festival';

/** @var yii\web\View $this */
/** @var frontend\models\Events $model */
?>
<!--Hero Section ======================-->
<section class="hero-section hero-8 position-relative max-width">
    <div class="mx-auto position-relative parallax" style="background-image: url('/themes/site/assets/images/cover.jpg'); background-size: cover; background-position: center; position: absolute;">

        <img src="/themes/site/assets/images/cover.jpg" alt="Cover Image" style="width: 100%; height: 100%; object-fit: cover;">

        <div class="event-info event-info-outside event-down-sm custom-inner-bg">
            <div class="event-inner">
                <div class="row align-items-center justify-content-between gy-xl-0 gy-4">
                    <div class="col-md-5 col-xl-4 col-lg-5">
                        <div class="event-content">
                            <h2><?= date('jS F Y', strtotime($model->start_date))?></h2>
                            <h4><?= Yii::$app->formatter->asTime($model->start_time, 'h:mma')?? ''?> - <?= Yii::$app->formatter->asTime($model->end_time, 'h:mma')?? ''?></h4>
                        </div>
                    </div>
                    <div class="col-md-5 col-xl-5 col-lg-5">
                        <div class="event-content ms-xxl-5">
                            <h2><?= $model->region->name?? '' ?>, <?= $model->country->name?? ''?></h2>
                            <h4><?= $model->address?? ''?></h4>
                        </div>
                    </div>
                    <div class="col-md-2 col-xxl-2 col-xl-3 col-lg-2">
                        <div>
                            <a href="#schedule" class="btn btn-gradient d-inline-flex align-items-center" aria-label="buttons"><span class="contact-plus-icon"><svg width="38" height="30"><use xlink:href="#contact-plus-icon"></use></svg></span> Interested</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- event-info -->
    </div>
</section>
<!--Hero Section ======================-->


<!--Tickets Section ======================-->
<section id="ticket" class="ticket-section ticket-1 pb-40 pb-lg-60 pb-xl-80 pt-300 pt-md-150 pt-lg-180 position-relative parallax">
    <div class="container">

        <div class="section-title section-title-style-2 mb-30 mb-lg-40 mb-xxl-50">
            <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Ticket</span>
            <h3 class="title display-3 fw-extra-bold d-flex flex-column">
                <span class="mb-n2 text-opacity">Our Tickets</span>
            </h3>
        </div>
        <!-- section-title -->
        <div class="ticket-content">
            <div class="d-flex flex-column flex-xl-row gap-50 gap-xl-30 align-items-xl-center">


                <!-- ticket-content-1 -->

                <div class="ticket-content-1">
                    <div class="ticket-form-wrapper custom-inner-bg">
                        <?php foreach ($tickets as $ticket) : ?>
                            <div class="ticket-form ticket-form-2 form-check">
                                <input class="form-check-input" type="radio" name="exampleRadios" id="exampleRadios<?= $ticket->id ?? '' ?>" value="<?= $ticket->price ?? '0' ?>">
                                <label class="form-check-label d-flex align-items-center justify-content-between" for="exampleRadios<?= $ticket->id ?? '' ?>">
                                    <span class="text-opacity"><?= $ticket->name ?? '' ?></span><em class="text-muted"><?= $ticket->description ?? '' ?></em><span><?= $ticket->price ?? '' ?>$</span>
                                </label>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <!-- ticket-form-wrapper -->

                    <p class="extra-small fw-semibold d-flex justify-content-lg-end">Sales close: <?= Yii::$app->formatter->asDatetime($model->sales_close, 'php:D, M d, Y H:iA') ?></p>
                    <div class="d-flex gap-3 justify-content-between">
                        <div class="ticket-amounts d-flex align-items-center gap-0 gap-lg-3">
                            <span class="ticket-icon dash-icon"><svg width="16" height="16"><use xlink:href="#dash-icon"></use></svg></span>
                            <span class="input-values"><label>
                            <input type="text" name="input-value" value="1" class="input-number">
                            </label></span>
                            <span class="ticket-icon plus-icon"><svg width="16" height="16"><use xlink:href="#plus-icon"></use></svg></span>
                            <span id="totalPrice" style="color: white; font-size: 20px; font-weight: bold">Total Price : 0</span>
                        </div>
                        <div class="text-lg-end">
                            <a href="#" class="btn btn-gradient d-inline-flex align-items-center gap-2" aria-label="buttons"><span class="buttons-logo"><svg width="25" height="25"><use xlink:href="#buttons-logo"></use></svg></span> Buy Ticket</a>
                        </div>
                    </div>
                </div>

                <script>
                    document.addEventListener("DOMContentLoaded", function() {
                        var radioButtons = document.querySelectorAll('input[name="exampleRadios"]');
                        var totalPriceSpan = document.getElementById('totalPrice');
                        var inputNumber = document.querySelector('.input-number');
                        var plusIcon = document.querySelector('.plus-icon');
                        var dashIcon = document.querySelector('.dash-icon');

                        // Initialize total price
                        updateTotalPrice();

                        // Add event listener to each radio button
                        radioButtons.forEach(function(radioButton) {
                            radioButton.addEventListener('change', updateTotalPrice);
                        });

                        // Function to update total price
                        function updateTotalPrice() {
                            var totalPrice = 0;
                            radioButtons.forEach(function(radioButton) {
                                if (radioButton.checked) {
                                    totalPrice += parseFloat(radioButton.value);
                                }
                            });
                            totalPrice *= parseInt(inputNumber.value);
                            totalPriceSpan.textContent = "Total Price : " + totalPrice.toFixed(2);
                        }

                        // Add event listener to input number
                        inputNumber.addEventListener('input', updateTotalPrice);

                        // Add event listener to plus icon
                        plusIcon.addEventListener('click', function() {
                            inputNumber.value = parseInt(inputNumber.value) + 1;
                            updateTotalPrice();
                        });

                        // Add event listener to dash icon
                        dashIcon.addEventListener('click', function() {
                            if (parseInt(inputNumber.value) > 1) {
                                inputNumber.value = parseInt(inputNumber.value) - 1;
                                updateTotalPrice();
                            }
                        });
                    });
                </script>



                <!-- ticket-content-1 -->


                <div class="ticket-content-2 position-relative parallax">
                    <div class="ticket-content-2-inner">
                        <div class="swiper ticket-swiper">
                            <div class="swiper-wrapper">
                                <div class="swiper-slide">
                                    <div class="p-4 pe-20">
                                        <h2 class="mb-0 d-flex flex-wrap flex-sm-nowrap gap-2 gap-lg-3 align-items-center text-white">
                                            <span class="fs-60 fw-extra-bold" style="font-size: 75px">REGULAR</span>
                                        </h2>
                                        <a href="#" class="ticket-arrow arrow-up-right"><svg width="32" height="32"><use xlink:href="#arrow-up-right"></use></svg></a>
                                        <div class="progress mt-80">
                                            <div class="progress-bar" style="width: 73%">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="swiper-slide">
                                    <div class="p-4 pe-20">
                                        <h2 class="mb-0 d-flex flex-wrap flex-sm-nowrap gap-2 gap-lg-3 align-items-center text-white">
                                            <span class="fs-100 fw-extra-bold">VIP</span>
                                        </h2>
                                        <a href="#" class="ticket-arrow arrow-up-right"><svg width="32" height="32"><use xlink:href="#arrow-up-right"></use></svg></a>
                                        <div class="progress mt-50">
                                            <div class="progress-bar" style="width: 73%">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="swiper-slide">
                                    <div class="p-4 pe-20">
                                        <h2 class="mb-0 d-flex flex-wrap flex-sm-nowrap gap-2 gap-lg-3 align-items-center text-white">
                                            <span class="fs-100 fw-extra-bold">VVIP</span>
                                        </h2>
                                        <a href="#" class="ticket-arrow arrow-up-right"><svg width="32" height="32"><use xlink:href="#arrow-up-right"></use></svg></a>
                                        <div class="progress mt-50">
                                            <div class="progress-bar" style="width: 73%">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <!-- swiper-wrapper -->
                            <div class="ticket-swiper-pagination"></div>
                        </div>
                        <!-- ticket-swiper -->
                    </div>
                    <!-- ticket-content-2-inner  -->
                </div>
                <!-- ticket-content-2 -->

                <div class="ticket-content-3 d-flex flex-xl-column gap-3 gap-lg-4">
                    <div class="brand custom-inner-bg">
                        <h2 class="display-6 fw-extra-bold mb-0"><span class="odometer" data-count-to=15></span>+</h2>
                        <h2 class="fs-1 fw-light mb-0 text-opacity">Countries</h2>
                    </div>
                    <div class="brand custom-inner-bg">
                        <h2 class="display-6 fw-extra-bold mb-0"><span class="odometer" data-count-to=5000></span>+</h2>
                        <h2 class="fs-1 fw-light mb-0 text-opacity">Attendees</h2>
                    </div>
                </div>
                <!-- ticket-content-3 -->

            </div>
        </div>
        <!-- ticket-content -->
    </div>
</section>
<!--Tickets Section ======================-->


<!--Countdown Section ======================-->
<div class="countdown-section pb-40 pb-lg-60 pb-xl-80 pt-4 pt-lg-30 pt-xxl-40 position-relative">
    <div class="container">
        <!--CountDown Section ======================-->
        <div class="countdown countdown-gradient">
            <div class="row row-cols-2 row-cols-lg-3 row-cols-xl-4 justify-content-between align-items-center">
                <div class="col">
                    <div class="countdown-item">
                        <span class="countdown-number primary-text" id="days">00</span>
                        <span class="countdown-label text-opacity">Days</span>
                    </div>
                </div>
                <div class="col">
                    <div class="countdown-item">
                        <span class="countdown-number primary-text" id="hours">00</span>
                        <span class="countdown-label text-opacity">Hrs</span>
                    </div>
                </div>
                <div class="col">
                    <div class="countdown-item">
                        <span class="countdown-number primary-text" id="minutes">00</span>
                        <span class="countdown-label text-opacity">Min</span>
                    </div>
                </div>
                <div class="col">
                    <div class="countdown-item">
                        <span class="countdown-number primary-text" id="seconds">00</span>
                        <span class="countdown-label text-opacity">Sec</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Countdown Section ======================-->


<!--Award Section ======================-->
<section class="award-section award-2 mt-60 mt-lg-0 mb-30">
    <div class="container">
        <div class="row gy-50 gy-lg-0 align-items-lg-center">
            <div class="col-lg-6">
                <div class="award-left-content py-lg-100">
                    <div class="section-title section-title-style-2 mb-4 mb-lg-30 mb-xxl-40">
                        <h3 class="straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Headliner</h3>
                        <h2 class="title display-3 fw-extra-bold d-flex flex-column">
                            <span class="mb-n2 text-opacity"><?= $headliner->name?? ''?></span>
                        </h2>
                        <p class="mb-0 mt-30">
                            <?= $headliner->descriptions?? ''?>
                        </p>
                    </div>

                    <div class="award-wrapper d-flex flex-column gap-40 mb-40 mb-lg-60">

                        <?php foreach ( $awards as $award ) : ?>
                            <div class="award-info d-flex gap-4">
                                <div class="award-icon award-icon-style-2">
                                    <span class="<?= $award->icon?? 'billboard-icon'?>"><svg width="40" height="40"><use xlink:href="#<?= $award->icon?? 'billboard-icon'?>"></use></svg></span>
                                </div>
                                <div class="award-details">
                                    <h4 class="fw-semibold mb-3"><?= $award->title?? ''?></h4>
                                    <p class="mb-0"><?= $award->descriptions?? ''?></p>
                                </div>
                            </div>
                            <!-- award-info -->
                        <?php endforeach; ?>

                    </div>
                    <!-- award-wrapper -->

                </div>
                <!-- award-left-content -->
            </div>
            <!-- col-6 -->
            <div class="col-lg-6">
                <div class="award-image position-relative">
                    <img src="<?= $headliner->cover?? ''?>" alt="image" style="border-radius: 10px">
                    <a href="<?= $headliner->video_link?? ''?>" class="video-popup video-popup-left position-absolute video-popup-link">
                        <div class="circle-wrapper">
                            <div class="circle-bg"></div>
                            <span class="inner-circle video-icon">
                                    <span class=""><svg width="30" height="30"><use xlink:href="#video-icon"></use></svg></span>
                                </span>
                            <div class="rotate-text3 text-uppercase">
                                <p><?= $headliner->text_on_play_button?? ''?> - </p>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <!-- col-5 -->

        </div>
    </div>
</section>
<!--Award Section ======================-->

<!--Scroll Section ======================-->
<div class="scroll-section py-3 py-lg-30 position-relative">
    <div class="marquee-elements">
        <div class="scroll-elements">

            <span class="scroll-items js-elements">
                <span class="scroll-light-text fs-90 fw-extra-bold text-uppercase d-flex gap-10 mb-0"><span>Maasai</span>
                <span class="mx-10 mx-lg-4">/</span><span class="primary-text me-30 me-lg-50">Festival</span> </span>
            </span>

        </div>
    </div>
</div>
<!--Scroll Section ======================-->

<!--LineUp Section ======================-->
<section id="line-up" class="lineup-section lineup-2 pt-lg-5 mb-20 mb-lg-30 mb-xxl-40">

    <div class="container">
        <div class="row gx-60 gx-xxl-80 gy-30">
            <div class="col-lg-4">
                <div class="lineup-right-content mt-30 mt-lg-0">
                    <div class="section-title section-title-style-2 mb-4 mb-lg-30 mb-xxl-40">
                        <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Line-Up</span>
                        <h4 class=" display-3 fw-extra-bold d-flex flex-column">
                            <span class="mb-n2 text-opacity"><?= $lineup->title?? ''?></span>
                        </h4>
                    </div>
                    <!-- section-title -->
                    <p class="mb-4 mb-lg-30">
                        <?= $lineup->descriptions?? ''?>
                    </p>

                </div>
                <!-- lineup-right-content -->
            </div>
            <!-- col-5 -->
            <div class="col-lg-8">
                <div class="swiper-custom-progress progress-gradient position-relative">
                    <div class="swiper lineup-swiper">
                        <div class="swiper-wrapper">

                            <?php foreach ($lineupList as $item) : ?>
                                <!-- swiper-slide-->
                                <div class="swiper-slide">
                                    <div class="lineup-image-wrapper position-relative">
                                        <div class="lineup-image">
                                            <img src="<?= $item->cover?? '' ?>" class="img-fluid" alt="lineup-image">
                                        </div>
                                        <div class="lineup-image-hover">
                                            <p class="author-name"><?= $item->title?? ''?></p>
                                            <div class="line-up-hover-content">
                                                <h5 class="fw-medium mb-20">Genere : <span class="text-uppercase"><?= $item->sub_title?? ''?></span></h5>
                                            </div>
                                        </div>
                                        <!-- lineup-image-hover -->
                                    </div>
                                    <!-- lineup-image-wrapper -->
                                </div>
                            <?php endforeach; ?>

                        </div>
                        <!-- swiper-wrapper -->
                    </div>
                    <!-- swiper -->
                    <div class="lineup-swiper-pagination"></div>

                    <div class="swiper-button-progress">
                        <div class="swiper-button-next">
                            <span class="chevron-right-icon"><svg width="12" height="14"><use xlink:href="#chevron-right-icon"></use></svg></span>
                        </div>
                        <div class="swiper-button-prev">
                            <span class="chevron-left-icon"><svg width="12" height="14"><use xlink:href="#chevron-left-icon"></use></svg></span>
                        </div>
                    </div>
                    <div class="ellipse-image-2">
                        <img src="/themes/site/assets/images/home-1/ellipse-2.png" class="img-fluid" alt="img">
                    </div>
                </div>
            </div>
            <!-- col-7 -->
        </div>
        <!-- row -->
    </div>
    <!-- container -->
</section>
<!--LineUp Section ======================-->

<!--Separator Section ======================-->
<div class="container">
    <div class="separator mt-100 mt-lg-150 mt-xxl-180"></div>
</div>
<!--Separator Section ======================-->

<!--Schedule Section ======================-->
<section id="schedule" class="schedule-section schedule-2 py-50 py-lg-100 pt-xxl-120 position-relative">
    <div class="container">
        <div class="row gy-4 gy-lg-0 align-items-lg-end justify-content-lg-between mb-40 mb-lg-80 mb-xxl-100">
            <div class="col-lg-4">
                <div class="section-title section-title-style-2">
                    <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Schedule</span>
                    <h3 class="title display-3 fw-extra-bold d-flex flex-column">
                        <span class="mb-n2 text-opacity"><?= $schedule->title?? ''?></span>
                    </h3>

                </div>
                <!-- section-title -->
            </div>
            <div class="col-lg-5">
                <div class="highlights-text">
                    <p class="text-lg-end">
                        <?= $schedule->descriptions?? ''?>
                    </p>
                </div>
            </div>
        </div>
        <!-- row -->

        <?php foreach ( $daysSchedule as $item ) : ?>
            <div class="row gx-90 gy-40 gy-lg-0 mb-40 mb-lg-80 mb-xxl-100">
                <div class="col-lg-4 col-xxl-3">
                    <div class="schedule-date sticky-contents">
                        <h2 class="fw-extra-bold text-opacity"><?= ($item->title?? ''). ' : ' . (Yii::$app->formatter->asDate($item->date, 'php:l'))?? '' ?></h2>
                        <h2 class="fw-light"><?= Yii::$app->formatter->asDate($item->date, 'long')?? ''?></h2>
                    </div>
                </div>
                <!-- col-4 -->
                <div class="col-lg-8 col-xxl-9">
                    <div class="schedule-wrapper custom-inner-bg">
                        <ul class="list-unstyled mb-0 d-flex flex-column gap-10">

                            <?php foreach ( $item->scheduleDaysLists as $list ) : ?>

                                <li>
                                    <div class="schedule-author">
                                        <img src="<?= $list->cover?? ''?>" alt="img">
                                    </div>
                                    <div class="schedule-content">
                                        <h5 class="fw-semibold"><?= Yii::$app->formatter->asDate($list->time, 'php:h:i A')?? ''?></h5>
                                        <h3 class="fw-extra-bold text-opacity"><?= $list->title?? ''?></h3>
                                        <p class="mb-0">
                                            <?= $list->sub_title?? ''?>
                                        </p>
                                    </div>
                                </li>

                            <?php endforeach; ?>

                        </ul>
                    </div>
                </div>
            </div>
            <!-- row -->
        <?php endforeach; ?>

    </div>
</section>
<!--Schedule Section ======================-->

<!--Separator Section ======================-->
<div class="container">
    <div class="separator mb-50 mb-lg-100"></div>
</div>
<!--Separator Section ======================-->

<!--Scroll Section ======================-->
<div class="scroll-section py-3 py-lg-30 position-relative">
    <div class="marquee-elements">
        <div class="scroll-elements">

            <span class="scroll-items js-elements">
                <span class="scroll-light-text fs-90 fw-extra-bold text-uppercase d-flex gap-10 mb-0"><span>Global</span>
                <span class="mx-10 mx-lg-4">/</span><span class="primary-text me-30 me-lg-50">Festival</span> </span>
            </span>

        </div>
    </div>
</div>
<!--Scroll Section ======================-->

<!--Sponsor Section ======================-->
<section id="sponsor" class="sponsor-section sponsor-1 bg-lg custom-inner-bg position-relative pt-50 pt-lg-100 pt-xxl-40 pb-30 pb-lg-80 pb-xxl-40">
    <div class="ellipse-image-1">
        <img src="/themes/site/assets/images/home-1/ellipse-1.png" alt="ellipse-1">
    </div>
    <div class="container">
        <div class="row gy-4 gy-lg-0 align-items-lg-end justify-content-lg-between mb-30 mb-lg-20">
            <div class="col-lg-4">
                <div class="section-title section-title-style-2">
                    <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>OUR KEY PARTNERS</span>
                </div>
                <!-- section-title -->
            </div>
            <div class="col-lg-5">
                <div class="highlights-text">
                    <p class="text-lg-end">


                    </p>
                </div>
            </div>
        </div>
        <!-- row -->

        <div class="brand-logos position-relative">
            <div class="swiper brand-swiper">
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <div class="brand-image position-relative">
                            <a href="#">
                                <img src="/themes/site/assets/images/home-2/azania.png" class="img-fluid" alt="brand-image" height="60">
                            </a>
                        </div>
                    </div>
                    <!-- swiper-slide-->
                    <div class="swiper-slide">
                        <div class="brand-image position-relative">
                            <a href="#">
                                <img src="/themes/site/assets/images/home-2/ttb.png" class="img-fluid" alt="brand-image" height="60">
                            </a>
                        </div>
                    </div>
                    <!-- swiper-slide-->
                    <div class="swiper-slide">
                        <div class="brand-image position-relative">
                            <a href="#">
                                <img src="/themes/site/assets/images/home-2/basata.png" class="img-fluid" alt="brand-image">
                            </a>
                        </div>
                    </div>
                    <!-- swiper-slide-->
                    <div class="swiper-slide">
                        <div class="brand-image position-relative">
                            <a href="#">
                                <img src="/themes/site/assets/images/home-2/unesco.png" class="img-fluid" alt="brand-image">
                            </a>
                        </div>
                    </div>
                    <!-- swiper-slide-->
                    <div class="swiper-slide">
                        <div class="brand-image position-relative">
                            <a href="#">
                                <img src="/themes/site/assets/images/home-2/crdb.png" class="img-fluid" alt="brand-image">
                            </a>
                        </div>
                    </div>
                    <!-- swiper-slide-->
                </div>
                <!-- swiper-wrapper -->
            </div>
            <!-- swiper -->
        </div>
        <div class="text-center mt-30 mt-lg-60 mt-xxl-70">
            <a href="#" class="btn btn-gradient d-inline-flex align-items-center gap-3" aria-label="buttons">Become A Sponsor<span class="arrow-up-right"><svg width="28" height="28"><use xlink:href="#arrow-up-right"></use></svg></span></a>
        </div>
    </div>
</section>
<!--Sponsor Section ======================-->

<!--Gallery Section ======================-->
<div class="gallery-section gallery-1 pt-70 pt-lg-100 pt-xxl-30 pb-70 pb-lg-100 pb-xxl-120" id="tanzania">

    <section class="container">
        <div class="section-title section-title-style-2 mb-30 mb-lg-40 mb-xxl-50">
            <h3 class="title display-3 fw-extra-bold d-flex flex-column">
                <span class="mb-n2 text-opacity">Amazing Tanzania</span>
            </h3>
        </div>
    </section>

    <div class="swiper swiper_gallery">
        <div class="swiper-wrapper">

            <?php foreach ($amazing as $value) : ?>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="<?= $value->link?? ''?>" target="_blank" class="hover-area" data-cursor-text="<?= $value->name?? ''?>">
                            <img src="<?= $value->cover?? ''?>" alt="<?= $value->name?? ''?>">
                        </a>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
    <!-- swiper-gallery -->

    <div class="swiper swiper_gallery2">
        <div class="swiper-wrapper">

            <?php foreach ($amazingTwo as $item) : ?>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="<?= $item->link?? ''?>" target="_blank" class="hover-area" data-cursor-text="<?= $item->name?? ''?>">
                            <img src="<?= $item->cover?? ''?>" alt="<?= $item->name?? ''?>">
                        </a>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
    <!-- swiper-gallery2 -->

</div>
<!--Gallery Section ======================-->


<!--Direction Section ======================-->
<section id="direction" class="direction-section direction-1 position-relative pt-50 pt-lg-100 pt-xxl-130 pb-20 pb-lg-50">
    <div class="container">
        <div class="direction-wrapper">
            <div class="row justify-content-between align-items-lg-center gy-40 gy-lg-0">
                <div class="col-lg-5">
                    <div class="direction-left-content">
                        <h2 class="display-5 fw-extra-bold custom-jakarta">
                            Get Direction
                        </h2>
                        <div class="d-flex flex-column flex-lg-row gap-5 justify-content-lg-between align-items-lg-center mt-30 mt-lg-50">
                            <div class="direction-details">
                                <span class="fs-3 straight-line-wrapper fw-semibold position-relative"><span class="straight-line"></span>Venue</span>
                                <div class="mt-10 mt-lg-30">
                                    <h4 class="custom-jakarta fw-extra-bold"><?= $model->address?? ''?></h4>
                                    <h4 class="custom-jakarta fw-normal"><?= ($model->region->name?? '') . ' - ' . ($model->country->name?? '') ?></h4>
                                </div>
                            </div>
                            <div class="direction-details">
                                <span class="fs-3 straight-line-wrapper fw-semibold position-relative"><span class="straight-line"></span>Time</span>
                                <div class="mt-10 mt-lg-30">
                                    <?php

                                    $date1 = $model->start_date;
                                    $date2 = $model->end_date;

                                    $formattedDate1 = date("dS", strtotime($date1));
                                    $formattedDate2 = date("dS", strtotime($date2));
                                    $formattedMonth = date("F", strtotime($date1));
                                    $formattedYear = date("Y", strtotime($date1));

                                    $formattedDateDay1 = date("l", strtotime($date1));
                                    $formattedDateDay2 = date("l", strtotime($date2));

                                    ?>
                                    <h4 class="custom-jakarta fw-normal"><?= "$formattedDate1 - $formattedDate2 $formattedMonth $formattedYear" ?></h4>
                                    <h4 class="custom-jakarta fw-normal"><?= "$formattedDateDay1 - $formattedDateDay2"?> <?= Yii::$app->formatter->asTime($model->start_time, 'h:mma')?? ''?> - <?= Yii::$app->formatter->asTime($model->end_time, 'h:mma')?? ''?></h4>
                                </div>
                            </div>
                        </div>
                        <div class="mt-4 mt-lg-40">
                            <a id="mapDirectionBtn" href="#" class="btn btn-gradient d-flex align-items-center justify-content-center custom-roboto gap-10 btn-map-direction"  data-bs-toggle="modal" data-bs-target="#RoutingMapModal">Get Direction <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z"/></svg></a>
                        </div>
                    </div>
                    <!-- direction-left-content -->
                </div>
                <!-- col-5 -->

                <div class="col-lg-6">
                    <?= $model->map?? ''?>

                    <!-- Modal-Map -->
                    <div class="modal modal-fullscreen routing-map-modal fade" id="RoutingMapModal" tabindex="-1" aria-labelledby="RoutingMapLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h1 class="modal-title fs-5" id="RoutingMapLabel">135 W, 46th Street, Dar es Salaam</h1>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <?= $model->map?? ''?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal-Map -->
                </div>
            </div>
        </div>
    </div>
</section>
<!--Direction Section ======================-->
