<?php

use kartik\form\ActiveForm;
use kartik\select2\Select2;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var frontend\models\Tickets $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="tickets-form">
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <?php $form = ActiveForm::begin(); ?>

            <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'event_id')->widget(Select2::classname(), [
                'data' => ArrayHelper::map($event, 'id', 'name'),
                'options' => ['placeholder' => 'Select a event ...'],
                'pluginOptions' => [
                    'allowClear' => true
                ],
            ])->label('Event')?>

            <?= $form->field($model, 'description')->textarea(['maxlength' => true]) ?>

            <?= $form->field($model, 'price')->textInput(['maxlength' => true]) ?>

            <?= $form->field($model, 'status')->dropDownList(
                ArrayHelper::map(
                    [
                        ['id' => 10, 'name' => 'ACTIVE'],
                        ['id' => 20, 'name' => 'INACTIVE']
                    ],
                    'id',
                    'name'
                )
            ) ?>

            <div class="form-group">
                <?= Html::submitButton('Save', ['class' => 'btn btn-sm btn-success']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>
    </div>
</div>
