<!doctype html>
<html lang="en" data-bs-theme="dark">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Eventiva description contents">
    <title>Maasai Global Festival</title>
    <link rel="shortcut icon" type="images/png" href="assets/images/global/favicon.ico">

    <!-- Google fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com/">
    <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,600;1,700;1,800&amp;family=Plus+Jakarta+Sans:wght@400;600&amp;family=Poppins:wght@400;600;700;800;900&amp;family=Roboto:wght@400;500;700;900&amp;display=swap" rel="stylesheet">

    <link rel="stylesheet" href="assets/css/animate.css">
    <link rel="stylesheet" href="assets/css/magnific-popup.css">
    <link rel="stylesheet" href="assets/css/swiper-bundle.min.css">
    <link rel="stylesheet" href="assets/css/odometer.css">
    <link rel="stylesheet" href="assets/css/leaflet.css">
    <link rel="stylesheet" href="assets/css/leaflet-routing-machine.css">

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css">

</head>

<body class="home-1">
<div class="ball"></div>
<div class="cursor-text"></div>

<!--src="assets/images/loader.json"-->

<div class="preloader">
    <dotlottie-player
        src="https://lottie.host/d851f1dc-6ef5-40be-8ca8-bbffcd018276/wutdxEizj0.json"
        background="#04000A"
        speed="1"
        style="width: 100%; height: 100%"
        direction="1"
        mode="normal"
        loop
        autoplay>
    </dotlottie-player>
    <script src="https://unpkg.com/@dotlottie/player-component@latest/dist/dotlottie-player.mjs" type="module"></script>
</div>

<!-- Header ======================-->
<header class="header-section header-2 ordered-list-header sticky-navbar hover-menu">
    <div class="container">
        <nav class="navbar navbar-expand-xl">
            <div class="d-flex w-100 justify-content-between align-items-center">
                <a class="navbar-brand" href="index.php" aria-label="nav-brands">
                    <img src="assets/images/maasai.png" class="logo-light" alt="logo" height="70">
                    <img src="assets/images/maasai.png" class="logo-dark" alt="logo" height="70">
                </a>

                <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" data-bs-target="#navContentmenu" aria-controls="navContentmenu" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="d-none d-xl-block">
                    <div class="d-flex gap-40 align-items-center">
                        <ul class="list-unstyled d-flex gap-40 navbar-nav mb-2 me-2 mb-lg-0">
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-end gap-0 flex-column text-uppercase" href="#home" aria-label="nav-links">
                                    <span class="fw-semibold">Home</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-end gap-0 flex-column text-uppercase" href="#line-up" aria-label="nav-links">
                                    <span class="fw-semibold">Line-Up</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-end gap-0 flex-column text-uppercase" href="#schedule" aria-label="nav-links">
                                    <span class="fw-semibold">Schedule</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-end gap-0 flex-column text-uppercase" href="#tanzania" aria-label="nav-links">
                                    <span class="fw-semibold">AMAZING TANZANIA</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-end gap-0 flex-column text-uppercase" href="#direction" aria-label="nav-links">
                                    <span class="fw-semibold">Direction</span>
                                </a>
                            </li>
                        </ul>
                        <a href="#ticket" class="btn btn-gradient d-inline-flex align-items-center gap-2" aria-label="buttons"><span class="buttons-logo"><svg width="25" height="25"><use xlink:href="#buttons-logo"></use></svg></span> Buy Ticket</a>
                    </div>
                </div>
            </div>
        </nav>
    </div>
</header>
<!-- Header ======================-->

<div class="offcanvas offcanvas-top" id="navContentmenu" data-bs-backdrop="static" tabindex="-1">
    <div class="offcanvas-header">
        <a class="navbar-brand" href="index.php" aria-label="nav-brands"><img src="assets/images/maasai.png" alt="logo" height="100"></a>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body d-flex justify-content-center">
        <ul class="navbar-nav custom-navbar-nav mb-2 mb-lg-0">
            <li class="nav-item">
                <a class="nav-link text-uppercase" href="#home" aria-label="nav-links">
                    <span class="fw-semibold">Home</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link text-uppercase" href="#line-up" aria-label="nav-links">
                    <span class="fw-semibold">Line-up</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link text-uppercase" href="#schedule" aria-label="nav-links">
                    <span class="fw-semibold">Schedule</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link text-uppercase" href="#direction" aria-label="nav-links">
                    <span class="fw-semibold">Direction</span>
                </a>
            </li>
        </ul>
        <a href="#ticket" class="btn btn-gradient d-inline-flex align-items-center gap-2" aria-label="buttons"><span class="buttons-logo"><svg width="25" height="25"><use xlink:href="#buttons-logo"></use></svg></span> Buy Ticket</a>
    </div>
</div>


<div class="main" id="home" data-bs-spy="scroll" data-bs-target="#navContentmenu" data-bs-root-margin="0px 0px -50%" data-bs-smooth-scroll="true">

    <!--Hero Section ======================-->
    <section class="hero-section hero-8 position-relative max-width">
        <div class="hero-wrapper mx-auto position-relative parallax">

            <div class="hero-8-image">
<!--                <img src="assets/images/bbb.png" class="img-fluid" alt="img">-->
            </div>
            <!-- hero-8-image -->

            <div class="container">
                <div class="hero-8-inner">
<!--                    <img src="assets/images/global/musicfest-2.png" class="musicfest-image mb-20 mb-xxl-40" alt="img">-->
                    <h3 class="hero-heading-text text-white text-uppercase custom-poppins mb-3 mb-xxl-20">&nbsp;</h3>
                    <div class="mb-40 mb-lg-0 hero-brand-images">
                        <h3 class="fst-italic fw-semibold mb-3 text-white">&nbsp;</h3>
                        <div class="d-flex flex-md-wrap align-items-center gap-20 gap-md-5 gap-lg-50">
                            &nbsp;
                        </div>
                    </div>
                </div>
                <!-- hero-inner-text -->

            </div>
            <!-- container -->

            <div class="event-info event-info-outside event-down-sm custom-inner-bg">
                <div class="event-inner">
                    <div class="row align-items-center justify-content-between gy-xl-0 gy-4">
                        <div class="col-md-5 col-xl-4 col-lg-5">
                            <div class="event-content">
                                <h2>08th AUGUST 2024</h2>
                                <h4>08:30AM - 11:00PM</h4>
                            </div>
                        </div>
                        <div class="col-md-5 col-xl-5 col-lg-5">
                            <div class="event-content ms-xxl-5">
                                <h2>ARUSHA, TANZANIA</h2>
                                <h4>135 W, 46th Street, Dar es Salaam</h4>
                            </div>
                        </div>
                        <div class="col-md-2 col-xxl-2 col-xl-3 col-lg-2">
                            <div>
                                <a href="#schedule" class="btn btn-gradient d-inline-flex align-items-center" aria-label="buttons"><span class="contact-plus-icon"><svg width="38" height="30"><use xlink:href="#contact-plus-icon"></use></svg></span> Interested</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- event-info -->
        </div>
    </section>
    <!--Hero Section ======================-->


    <!--Tickets Section ======================-->
    <section id="ticket" class="ticket-section ticket-1 pb-40 pb-lg-60 pb-xl-80 pt-300 pt-md-150 pt-lg-180 position-relative parallax">
        <div class="container">

            <div class="section-title section-title-style-2 mb-30 mb-lg-40 mb-xxl-50">
                <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Ticket</span>
                <h2 class="title display-3 fw-extra-bold d-flex flex-column">
                    <span class="sub-title fw-extra-bold">
                        <svg class="gradient-subtitle">
                            <g>
                                <text id="text" class="gradient-subtitle-text" y="100" stroke-width="0.5" stroke="url(#gradient-subtitle)" fill="none">Our Tickets</text>
                            </g>
                        </svg>
                    </span>
                </h2>
            </div>
            <!-- section-title -->
            <div class="ticket-content">
                <div class="d-flex flex-column flex-xl-row gap-50 gap-xl-30 align-items-xl-center">
                    <div class="ticket-content-1">
                        <div class="ticket-form-wrapper custom-inner-bg">
                            <div class="ticket-form ticket-form-1 form-check">
                                <input class="form-check-input" type="radio" name="exampleRadios" id="exampleRadios1" value="option1" checked>
                                <label class="form-check-label d-flex align-items-center justify-content-between" for="exampleRadios1">
                                    <span class="text-opacity">REGULAR</span><span>$20.00</span>
                                </label>
                            </div>
                            <div class="ticket-form ticket-form-2 form-check">
                                <input class="form-check-input" type="radio" name="exampleRadios" id="exampleRadios2" value="option2">
                                <label class="form-check-label d-flex align-items-center justify-content-between" for="exampleRadios2">
                                    <span class="text-opacity">VIP</span><em class="text-muted">+1 Bottle.</em><span>$100.00</span>

                                </label>
                            </div>
                            <div class="ticket-form ticket-form-3 form-check">
                                <input class="form-check-input" type="radio" name="exampleRadios" id="exampleRadios3" value="option3">
                                <label class="form-check-label d-flex align-items-center justify-content-between" for="exampleRadios3">
                                    <span class="text-opacity">VVIP</span><em class="text-muted">+2 Bottles and BBQ.</em><span>$500.00</span>
                                </label>
                            </div>
                        </div>
                        <!-- ticket-form-wrapper -->

                        <p class="extra-small fw-semibold d-flex justify-content-lg-end">Sales close: Sat, Jul 22, 8:00 AM (EAST).</p>
                        <div class="d-flex gap-3 justify-content-between">
                            <div class="ticket-amounts d-flex align-items-center gap-0 gap-lg-3">
                                <span class="ticket-icon dash-icon"><svg width="16" height="16"><use xlink:href="#dash-icon"></use></svg></span>
                                <span class="input-values"><label>
                                <input type="text" name="input-value" value="1" class="input-number">
                                </label></span>
                                <span class="ticket-icon plus-icon"><svg width="16" height="16"><use xlink:href="#plus-icon"></use></svg></span>
                            </div>
                            <div class="text-lg-end">
                                <a href="#" class="btn btn-gradient d-inline-flex align-items-center gap-2" aria-label="buttons"><span class="buttons-logo"><svg width="25" height="25"><use xlink:href="#buttons-logo"></use></svg></span> Buy Ticket</a>
                            </div>
                        </div>
                    </div>
                    <!-- ticket-content-1 -->


                    <div class="ticket-content-2 position-relative parallax">
                        <div class="ticket-content-2-inner">
                            <div class="swiper ticket-swiper">
                                <div class="swiper-wrapper">
                                    <div class="swiper-slide">
                                        <div class="p-4 pe-20">
                                            <h2 class="mb-0 d-flex flex-wrap flex-sm-nowrap gap-2 gap-lg-3 align-items-center text-white">
                                                <span class="fs-80 fw-extra-bold">REGULA</span>
                                            </h2>
                                            <a href="#" class="ticket-arrow arrow-up-right"><svg width="32" height="32"><use xlink:href="#arrow-up-right"></use></svg></a>
                                            <div class="progress mt-50">
                                                <div class="progress-bar" style="width: 73%">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="swiper-slide">
                                        <div class="p-4 pe-20">
                                            <h2 class="mb-0 d-flex flex-wrap flex-sm-nowrap gap-2 gap-lg-3 align-items-center text-white">
                                                <span class="fs-100 fw-extra-bold">VIP</span>
                                            </h2>
                                            <a href="#" class="ticket-arrow arrow-up-right"><svg width="32" height="32"><use xlink:href="#arrow-up-right"></use></svg></a>
                                            <div class="progress mt-50">
                                                <div class="progress-bar" style="width: 73%">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="swiper-slide">
                                        <div class="p-4 pe-20">
                                            <h2 class="mb-0 d-flex flex-wrap flex-sm-nowrap gap-2 gap-lg-3 align-items-center text-white">
                                                <span class="fs-100 fw-extra-bold">VVIP</span>
                                            </h2>
                                            <a href="#" class="ticket-arrow arrow-up-right"><svg width="32" height="32"><use xlink:href="#arrow-up-right"></use></svg></a>
                                            <div class="progress mt-50">
                                                <div class="progress-bar" style="width: 73%">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <!-- swiper-wrapper -->
                                <div class="ticket-swiper-pagination"></div>
                            </div>
                            <!-- ticket-swiper -->
                        </div>
                        <!-- ticket-content-2-inner  -->
                    </div>
                    <!-- ticket-content-2 -->

                    <div class="ticket-content-3 d-flex flex-xl-column gap-3 gap-lg-4">
                        <div class="brand custom-inner-bg">
                            <h2 class="display-6 fw-extra-bold mb-0"><span class="odometer" data-count-to=15></span>+</h2>
                            <h2 class="fs-1 fw-light mb-0 text-opacity">Countries</h2>
                        </div>
                        <div class="brand custom-inner-bg">
                            <h2 class="display-6 fw-extra-bold mb-0"><span class="odometer" data-count-to=5000></span>+</h2>
                            <h2 class="fs-1 fw-light mb-0 text-opacity">Attendees</h2>
                        </div>
                    </div>
                    <!-- ticket-content-3 -->

                </div>
            </div>
            <!-- ticket-content -->
        </div>
    </section>
    <!--Tickets Section ======================-->


    <!--Countdown Section ======================-->
    <div class="countdown-section pb-40 pb-lg-60 pb-xl-80 pt-4 pt-lg-30 pt-xxl-40 position-relative">
        <div class="container">
            <!--CountDown Section ======================-->
            <div class="countdown countdown-gradient">
                <div class="row row-cols-2 row-cols-lg-3 row-cols-xl-4 justify-content-between align-items-center">
                    <div class="col">
                        <div class="countdown-item">
                            <span class="countdown-number primary-text-shadow" id="days">00</span>
                            <span class="countdown-label text-opacity">Days</span>
                        </div>
                    </div>
                    <div class="col">
                        <div class="countdown-item">
                            <span class="countdown-number primary-text-shadow" id="hours">00</span>
                            <span class="countdown-label text-opacity">Hrs</span>
                        </div>
                    </div>
                    <div class="col">
                        <div class="countdown-item">
                            <span class="countdown-number primary-text-shadow" id="minutes">00</span>
                            <span class="countdown-label text-opacity">Min</span>
                        </div>
                    </div>
                    <div class="col">
                        <div class="countdown-item">
                            <span class="countdown-number primary-text-shadow" id="seconds">00</span>
                            <span class="countdown-label text-opacity">Sec</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Countdown Section ======================-->


    <!--Award Section ======================-->
    <section class="award-section award-2 mt-60 mt-lg-0 mb-30">
        <div class="container">
            <div class="row gy-50 gy-lg-0 align-items-lg-center">
                <div class="col-lg-6">
                    <div class="award-left-content py-lg-100">
                        <div class="section-title section-title-style-2 mb-4 mb-lg-30 mb-xxl-40">
                            <h3 class="straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Headliner</h3>
                            <h2 class="title display-3 fw-extra-bold d-flex flex-column">
                                <span class="mb-n2 text-opacity">Diamond</span>
                                <span class="sub-title fw-extra-bold">
                                    <svg class="gradient-subtitle">
                                        <g>
                                            <text id="text" class="gradient-subtitle-text" y="100" stroke-width="0.5" stroke="url(#gradient-subtitle)" fill="none">Platinum</text>
                                        </g>
                                    </svg>
                                </span>
                            </h2>
                            <p class="mb-0 mt-30">
                                Diamond Platnumz, Award Winning Tanzanian bongo flava recording artist, performer, philanthropist and businessperson. He is the founder and CEO of WCB Wasafi Record Label, Wasafi Bet and Wasafi Media. Diamond has gained a massive following in East and Central Africa. He became the first Africa-based artist to reach 900 million views on YouTube
                            </p>
                        </div>
                        <!-- section-title -->

                        <div class="award-wrapper d-flex flex-column gap-40 mb-40 mb-lg-60">
                            <div class="award-info d-flex gap-4">
                                <div class="award-icon award-icon-style-2">
                                    <span class="grammy-icon"><svg width="40" height="40"><use xlink:href="#grammy-icon"></use></svg></span>
                                </div>
                                <div class="award-details">
                                    <h4 class="fw-semibold mb-3">Grammy Awards</h4>
                                    <p class="mb-0">Diamond Platnumz's melodies enchanted hearts, winning him the Grammy for "Best Contemporary Album."</p>
                                </div>
                            </div>
                            <!-- award-info -->

                            <div class="award-info d-flex gap-4">
                                <div class="award-icon award-icon-style-2">
                                    <span class="billboard-icon"><svg width="40" height="40"><use xlink:href="#billboard-icon"></use></svg></span>
                                </div>
                                <div class="award-details">
                                    <h4 class="fw-semibold mb-3">Billboard Music Awards</h4>
                                    <p class="mb-0">Diamond Platnumz's hit "Ethereal Echoes" claimed the Billboard Music Award for "Top Streaming Song.""</p>
                                </div>
                            </div>
                            <!-- award-info -->

                        </div>
                        <!-- award-wrapper -->

                    </div>
                    <!-- award-left-content -->
                </div>
                <!-- col-6 -->
                <div class="col-lg-6">
                    <div class="award-image position-relative">
                        <img src="assets/images/mond.jpg" alt="image" style="border-radius: 10px">
                        <a href="https://www.youtube.com/watch?v=KHIMaQ_ZpDw" class="video-popup video-popup-left position-absolute video-popup-link">
                            <div class="circle-wrapper">
                                <div class="circle-bg"></div>
                                <span class="inner-circle video-icon">
                                    <span class=""><svg width="30" height="30"><use xlink:href="#video-icon"></use></svg></span>
                                </span>
                                <div class="rotate-text3 text-uppercase">
                                    <p>maasai global festival - Arusha 2024 - </p>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                <!-- col-5 -->

            </div>
        </div>
    </section>
    <!--Award Section ======================-->


    <!--Scroll Section ======================-->
    <div class="scroll-section py-3 py-lg-30 position-relative">
        <div class="marquee-elements">
            <div class="scroll-elements">
                <span class="scroll-items js-elements">
                    <span class="scroll-light-text fs-180 fw-extra-bold text-uppercase d-flex gap-10 mb-0"><span>MAASAI </span>
                    <span class="mx-10 mx-lg-4">/</span><span class="primary-text-shadow me-30 me-lg-50">FESTIVAL</span> </span>
                </span>
            </div>
        </div>
    </div>
    <!--Scroll Section ======================-->


    <!--LineUp Section ======================-->
    <section id="line-up" class="lineup-section lineup-2 pt-lg-5 mb-20 mb-lg-30 mb-xxl-40">

        <div class="container">
            <div class="row gx-60 gx-xxl-80 gy-30">
                <div class="col-lg-4">
                    <div class="lineup-right-content mt-30 mt-lg-0">
                        <div class="section-title section-title-style-2 mb-4 mb-lg-30 mb-xxl-40">
                            <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Line-Up</span>
                            <h2 class="title display-3 fw-extra-bold d-flex flex-column">
                                <span class="mb-n2 text-opacity">GLOBAL PERFORMANCE</span>
                            </h2>
                        </div>
                        <!-- section-title -->
                        <p class="mb-4 mb-lg-30">
                            Unleash the rhythm with an extraordinary lineup. Get ready for a musical extravaganza that will captivate your senses.
                        </p>

                    </div>
                    <!-- lineup-right-content -->
                </div>
                <!-- col-5 -->
                <div class="col-lg-8">
                    <div class="swiper-custom-progress progress-gradient position-relative">
                        <div class="swiper lineup-swiper">
                            <div class="swiper-wrapper">
                                <div class="swiper-slide">
                                    <div class="lineup-image-wrapper position-relative">
                                        <div class="lineup-image">
                                            <img src="assets/images/aylastar.png" class="img-fluid" alt="lineup-image">
                                        </div>
                                        <div class="lineup-image-hover">
                                            <p class="author-name">Aylastar</p>
                                            <div class="line-up-hover-content">
                                                <h5 class="fw-medium mb-20">Genere : <span class="text-uppercase">Amapiano</span></h5>
                                                <div class="line-up-icons d-flex align-items-center gap-3 gap-lg-20">
                                                    <a href="#" class="facebook-icon" aria-label="facebook"><svg width="20" height="20"><use xlink:href="#facebook-icon"></use></svg></a>
                                                    <a href="#" class="instagram-icon" aria-label="instagram"><svg width="20" height="20"><use xlink:href="#instagram-icon"></use></svg></a>
                                                    <a href="#" class="youtube-icon" aria-label="youtube"><svg width="20" height="20"><use xlink:href="#youtube-icon"></use></svg></a>
                                                    <a href="#" class="spotify-icon" aria-label="spotify"><svg width="20" height="20"><use xlink:href="#spotify-icon"></use></svg></a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- lineup-image-hover -->
                                    </div>
                                    <!-- lineup-image-wrapper -->
                                </div>
                                <!-- swiper-slide-->
                                <div class="swiper-slide">
                                    <div class="lineup-image-wrapper position-relative">
                                        <div class="lineup-image">
                                            <img src="assets/images/ASAKE.png" class="img-fluid" alt="lineup-image">
                                        </div>
                                        <div class="lineup-image-hover">
                                            <p class="author-name">Asake</p>
                                            <div class="line-up-hover-content">
                                                <h5 class="fw-medium mb-20">Genere : <span class="text-uppercase">Afro Beats</span></h5>
                                                <div class="line-up-icons d-flex align-items-center gap-3 gap-lg-20">
                                                    <a href="#" class="facebook-icon" aria-label="facebook"><svg width="20" height="20"><use xlink:href="#facebook-icon"></use></svg></a>
                                                    <a href="#" class="instagram-icon" aria-label="instagram"><svg width="20" height="20"><use xlink:href="#instagram-icon"></use></svg></a>
                                                    <a href="#" class="youtube-icon" aria-label="youtube"><svg width="20" height="20"><use xlink:href="#youtube-icon"></use></svg></a>
                                                    <a href="#" class="spotify-icon" aria-label="spotify"><svg width="20" height="20"><use xlink:href="#spotify-icon"></use></svg></a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- lineup-image-hover -->
                                    </div>
                                    <!-- lineup-image-wrapper -->
                                </div>
                                <!-- swiper-slide-->
                                <div class="swiper-slide">
                                    <div class="lineup-image-wrapper position-relative">
                                        <div class="lineup-image">
                                            <img src="assets/images/tyla.png" class="img-fluid" alt="lineup-image">
                                        </div>
                                        <div class="lineup-image-hover">
                                            <p class="author-name">Tyla</p>
                                            <div class="line-up-hover-content">
                                                <h5 class="fw-medium mb-20">Genere : <span class="text-uppercase">Afro Beats</span></h5>
                                                <div class="line-up-icons d-flex align-items-center gap-3 gap-lg-20">
                                                    <a href="#" class="facebook-icon" aria-label="facebook"><svg width="20" height="20"><use xlink:href="#facebook-icon"></use></svg></a>
                                                    <a href="#" class="instagram-icon" aria-label="instagram"><svg width="20" height="20"><use xlink:href="#instagram-icon"></use></svg></a>
                                                    <a href="#" class="youtube-icon" aria-label="youtube"><svg width="20" height="20"><use xlink:href="#youtube-icon"></use></svg></a>
                                                    <a href="#" class="spotify-icon" aria-label="spotify"><svg width="20" height="20"><use xlink:href="#spotify-icon"></use></svg></a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- lineup-image-hover -->
                                    </div>
                                    <!-- lineup-image-wrapper -->
                                </div>
                                <!-- swiper-slide-->
                                <div class="swiper-slide">
                                    <div class="lineup-image-wrapper position-relative">
                                        <div class="lineup-image">
                                            <img src="assets/images/BURNA%20BOY.png" class="img-fluid" alt="lineup-image">
                                        </div>
                                        <div class="lineup-image-hover">
                                            <p class="author-name">Burna Boy</p>
                                            <div class="line-up-hover-content">
                                                <h5 class="fw-medium mb-20">Genere : <span class="text-uppercase">Afro Beats</span></h5>
                                                <div class="line-up-icons d-flex align-items-center gap-3 gap-lg-20">
                                                    <a href="#" class="facebook-icon" aria-label="facebook"><svg width="20" height="20"><use xlink:href="#facebook-icon"></use></svg></a>
                                                    <a href="#" class="instagram-icon" aria-label="instagram"><svg width="20" height="20"><use xlink:href="#instagram-icon"></use></svg></a>
                                                    <a href="#" class="youtube-icon" aria-label="youtube"><svg width="20" height="20"><use xlink:href="#youtube-icon"></use></svg></a>
                                                    <a href="#" class="spotify-icon" aria-label="spotify"><svg width="20" height="20"><use xlink:href="#spotify-icon"></use></svg></a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- lineup-image-hover -->
                                    </div>
                                    <!-- lineup-image-wrapper -->
                                </div>
                                <!-- swiper-slide-->
                                <div class="swiper-slide">
                                    <div class="lineup-image-wrapper position-relative">
                                        <div class="lineup-image">
                                            <img src="assets/images/nASTY%20c.png" class="img-fluid" alt="lineup-image">
                                        </div>
                                        <div class="lineup-image-hover">
                                            <p class="author-name">Nasty C</p>
                                            <div class="line-up-hover-content">
                                                <h5 class="fw-medium mb-20">Genere : <span class="text-uppercase">Afro Beats</span></h5>
                                                <div class="line-up-icons d-flex align-items-center gap-3 gap-lg-20">
                                                    <a href="#" class="facebook-icon" aria-label="facebook"><svg width="20" height="20"><use xlink:href="#facebook-icon"></use></svg></a>
                                                    <a href="#" class="instagram-icon" aria-label="instagram"><svg width="20" height="20"><use xlink:href="#instagram-icon"></use></svg></a>
                                                    <a href="#" class="youtube-icon" aria-label="youtube"><svg width="20" height="20"><use xlink:href="#youtube-icon"></use></svg></a>
                                                    <a href="#" class="spotify-icon" aria-label="spotify"><svg width="20" height="20"><use xlink:href="#spotify-icon"></use></svg></a>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- lineup-image-hover -->
                                    </div>
                                    <!-- lineup-image-wrapper -->
                                </div>
                                <!-- swiper-slide-->
                            </div>
                            <!-- swiper-wrapper -->
                        </div>
                        <!-- swiper -->
                        <div class="lineup-swiper-pagination"></div>

                        <div class="swiper-button-progress">
                            <div class="swiper-button-next">
                                <span class="chevron-right-icon"><svg width="12" height="14"><use xlink:href="#chevron-right-icon"></use></svg></span>
                            </div>
                            <div class="swiper-button-prev">
                                <span class="chevron-left-icon"><svg width="12" height="14"><use xlink:href="#chevron-left-icon"></use></svg></span>
                            </div>
                        </div>
                        <div class="ellipse-image-2">
                            <img src="assets/images/home-1/ellipse-2.png" class="img-fluid" alt="img">
                        </div>
                    </div>
                </div>
                <!-- col-7 -->
            </div>
            <!-- row -->
        </div>
        <!-- container -->
    </section>
    <!--LineUp Section ======================-->


    <!--Separator Section ======================-->
    <div class="container">
        <div class="separator mt-100 mt-lg-150 mt-xxl-180"></div>
    </div>
    <!--Separator Section ======================-->


    <!--Schedule Section ======================-->
    <section id="schedule" class="schedule-section schedule-2 py-50 py-lg-100 pt-xxl-120 position-relative">
        <div class="container">
            <div class="row gy-4 gy-lg-0 align-items-lg-end justify-content-lg-between mb-40 mb-lg-80 mb-xxl-100">
                <div class="col-lg-4">
                    <div class="section-title section-title-style-2">
                        <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>Schedule</span>
                        <h2 class="title display-3 fw-extra-bold d-flex flex-column">
                            <span class="sub-title fw-extra-bold">
                                <svg class="gradient-subtitle">
                                    <g>
                                        <text id="text" class="gradient-subtitle-text" y="100" stroke-width="1.5" stroke="url(#gradient-subtitle)" fill="none">Agenda</text>
                                    </g>
                                </svg>
                            </span>
                        </h2>
                    </div>
                    <!-- section-title -->
                </div>
                <div class="col-lg-5">
                    <div class="highlights-text">
                        <p class="text-lg-end">
                            Immerse in mesmerizing performances and interactive art at our music extravaganza. Experience a festival atmosphere like no other, where unforgettable moments.
                        </p>
                    </div>
                </div>
            </div>
            <!-- row -->

            <div class="row gx-90 gy-40 gy-lg-0 mb-40 mb-lg-80 mb-xxl-100">
                <div class="col-lg-4 col-xxl-3">
                    <div class="schedule-date sticky-contents">
                        <h2 class="fw-extra-bold text-opacity">Day 1: Friday</h2>
                        <h2 class="fw-light">August 08, 2024</h2>
                    </div>
                </div>
                <!-- col-4 -->
                <div class="col-lg-8 col-xxl-9">
                    <div class="schedule-wrapper custom-inner-bg">
                        <ul class="list-unstyled mb-0 d-flex flex-column gap-10">
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-1.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">5:00 PM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Gates Open:</h3>
                                    <p class="mb-0">
                                        Kick off the festivities as the gates open to welcome music enthusiasts from all around.
                                    </p>
                                </div>
                            </li>
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-2.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">6:30 PM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Opening Ceremony with Celestial Rhythms:</h3>
                                    <p class="mb-0">
                                        Begin the musical journey with a mesmerizing opening ceremony by the celestial music ensemble, Celestial Rhythms, setting the harmonious tone for the event.
                                    </p>
                                </div>
                            </li>
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-3.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">8:00 PM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Astral Beats on the Main Stage:</h3>
                                    <p class="mb-0">
                                        Get ready to dance as the electrifying duo Astral Beats takes the main stage, delivering an immersive blend of electronic and live instruments.
                                    </p>
                                </div>
                            </li>
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-4.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">9:30 PM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Lunar Lounge with Luna Serenade (VIP Area):</h3>
                                    <p class="mb-0">
                                        VIP ticket holders can unwind and indulge in the soothing melodies of Luna Serenade at the exclusive Lunar Lounge, offering a more intimate and unique experience.
                                    </p>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <!-- row -->

            <div class="row gx-90 gy-40 gy-lg-0">
                <div class="col-lg-4 col-xxl-3">
                    <div class="schedule-date sticky-contents">
                        <h2 class="fw-extra-bold text-opacity">Day 2: Saturday</h2>
                        <h2 class="fw-light">August 09, 2024</h2>
                    </div>
                </div>
                <!-- col-4 -->
                <div class="col-lg-8 col-xxl-9">
                    <div class="schedule-wrapper custom-inner-bg">
                        <ul class="list-unstyled mb-0 d-flex flex-column gap-10">
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-5.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">11:00 AM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Yoga & Meditation with Echo Harmony:</h3>
                                    <p class="mb-0">
                                        Kick off the festivities as the gates open to welcome music enthusiasts from all around.
                                    </p>
                                </div>
                            </li>
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-6.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">1:00 PM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Solar Groove at the Sunset Stage:</h3>
                                    <p class="mb-0">
                                        Begin the musical journey with a mesmerizing opening ceremony by the celestial music ensemble, Celestial Rhythms, setting the harmonious tone for the event.
                                    </p>
                                </div>
                            </li>
                            <li>
                                <div class="schedule-author">
                                    <img src="assets/images/home-2/schedule-7.png" alt="img">
                                </div>
                                <div class="schedule-content">
                                    <h5 class="fw-semibold">3:00 PM</h5>
                                    <h3 class="fw-extra-bold text-opacity">Interactive Art Installations with Velvet Vibe:</h3>
                                    <p class="mb-0">
                                        Get ready to dance as the electrifying duo Astral Beats takes the main stage, delivering an immersive blend of electronic and live instruments.
                                    </p>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <!-- row -->
        </div>
    </section>
    <!--Schedule Section ======================-->


    <!--Separator Section ======================-->
    <div class="container">
        <div class="separator mb-50 mb-lg-100"></div>
    </div>
    <!--Separator Section ======================-->


    <!--Scroll Section ======================-->
    <div class="scroll-section py-3 py-lg-30 position-relative">
        <div class="marquee-elements">
            <div class="scroll-elements">
                <span class="scroll-items js-elements">
                    <span class="scroll-light-text fs-180 fw-extra-bold text-uppercase d-flex gap-10 mb-0"><span>maasai</span>
                    <span class="mx-10 mx-lg-4">/</span><span class="primary-text-shadow me-30 me-lg-50">festival </span> </span>
                </span>
            </div>
        </div>
    </div>
    <!--Scroll Section ======================-->

    <!--Sponsor Section ======================-->
    <section id="sponsor" class="sponsor-section sponsor-1 bg-lg custom-inner-bg position-relative pt-50 pt-lg-100 pt-xxl-120 pb-30 pb-lg-80 pb-xxl-100">
        <div class="ellipse-image-1">
            <img src="assets/images/home-1/ellipse-1.png" alt="ellipse-1">
        </div>
        <div class="container">
            <div class="row gy-4 gy-lg-0 align-items-lg-end justify-content-lg-between mb-30 mb-lg-70">
                <div class="col-lg-4">
                    <div class="section-title section-title-style-2">
                        <span class="fs-3 straight-line-wrapper fw-semibold position-relative"> <span class="straight-line"></span>OUR KEY PARTNERS</span>
                    </div>
                    <!-- section-title -->
                </div>
                <div class="col-lg-5">
                    <div class="highlights-text">
                        <p class="text-lg-end">


                        </p>
                    </div>
                </div>
            </div>
            <!-- row -->

            <div class="brand-logos position-relative">
                <div class="swiper brand-swiper">
                    <div class="swiper-wrapper">
                        <div class="swiper-slide">
                            <div class="brand-image position-relative">
                                <a href="#">
                                    <img src="assets/images/home-2/azania.png" class="img-fluid" alt="brand-image" height="60">
                                </a>
                            </div>
                        </div>
                        <!-- swiper-slide-->
                        <div class="swiper-slide">
                            <div class="brand-image position-relative">
                                <a href="#">
                                    <img src="assets/images/home-2/ttb.png" class="img-fluid" alt="brand-image" height="60">
                                </a>
                            </div>
                        </div>
                        <!-- swiper-slide-->
                        <div class="swiper-slide">
                            <div class="brand-image position-relative">
                                <a href="#">
                                    <img src="assets/images/home-2/basata.png" class="img-fluid" alt="brand-image">
                                </a>
                            </div>
                        </div>
                        <!-- swiper-slide-->
                        <div class="swiper-slide">
                            <div class="brand-image position-relative">
                                <a href="#">
                                    <img src="assets/images/home-2/unesco.png" class="img-fluid" alt="brand-image">
                                </a>
                            </div>
                        </div>
                        <!-- swiper-slide-->
                        <div class="swiper-slide">
                            <div class="brand-image position-relative">
                                <a href="#">
                                    <img src="assets/images/home-2/crdb.png" class="img-fluid" alt="brand-image">
                                </a>
                            </div>
                        </div>
                        <!-- swiper-slide-->
                    </div>
                    <!-- swiper-wrapper -->
                </div>
                <!-- swiper -->
            </div>
            <div class="text-center mt-30 mt-lg-60 mt-xxl-70">
                <a href="#" class="btn btn-gradient d-inline-flex align-items-center gap-3" aria-label="buttons">Become A Sponsor<span class="arrow-up-right"><svg width="28" height="28"><use xlink:href="#arrow-up-right"></use></svg></span></a>
            </div>
        </div>
    </section>
    <!--Sponsor Section ======================-->


    <!--Gallery Section ======================-->
    <div class="gallery-section gallery-1 pt-70 pt-lg-100 pt-xxl-120 pb-70 pb-lg-100 pb-xxl-120" id="tanzania">

        <section class="container">
            <div class="section-title section-title-style-2 mb-30 mb-lg-40 mb-xxl-50">
                <h2 class="title display-3 fw-extra-bold d-flex flex-column">
                    <span class="sub-title fw-extra-bold">
                        <svg class="gradient-subtitle">
                            <g>
                                <text id="text" class="gradient-subtitle-text" y="100" stroke-width="0.5" stroke="url(#gradient-subtitle)" fill="none">Amazing Tanzania</text>
                            </g>
                        </svg>
                    </span>
                </h2>
            </div>
        </section>

        <div class="swiper swiper_gallery">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Mikumi">
                            <img src="assets/images/gallery-1.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-2.jpg" class="image-link hover-area" data-cursor-text="Nyerere">
                            <img src="assets/images/gallery-2.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Mikumi">
                            <img src="assets/images/gallery-3.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-4.jpg" class="image-link hover-area" data-cursor-text="Ngorongoro">
                            <img src="assets/images/gallery-4.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Mikumi">
                            <img src="assets/images/gallery-5.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-5.jpg" class="image-link hover-area" data-cursor-text="Serengeti">
                            <img src="assets/images/gallery-5.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Serengeti">
                            <img src="assets/images/gallery-6.jpg" alt="img">
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- swiper-gallery -->

        <div class="swiper swiper_gallery2">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-6.jpg" class="image-link hover-area" data-cursor-text="Kitulo">
                            <img src="assets/images/gallery-6.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Mikumi">
                            <img src="assets/images/gallery-7.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-8.jpg" class="image-link hover-area" data-cursor-text="Kilimanjaro">
                            <img src="assets/images/gallery-8.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Beach">
                            <img src="assets/images/gallery-9.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-10.jpg" class="image-link hover-area" data-cursor-text="Kitulo">
                            <img src="assets/images/gallery-10.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="https://www.youtube.com/watch?v=zU7YkmqiqPI" class="video-popup-link hover-area" data-cursor-text="Serengeti">
                            <img src="assets/images/gallery-1.jpg" alt="img">
                        </a>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="gallery-image">
                        <a href="assets/images/gallery-1.jpg" class="image-link hover-area" data-cursor-text="Ruaha">
                            <img src="assets/images/gallery-1.jpg" alt="img">
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- swiper-gallery2 -->

    </div>
    <!--Gallery Section ======================-->


    <!--Direction Section ======================-->
    <section id="direction" class="direction-section direction-1 position-relative pt-50 pt-lg-100 pt-xxl-130 pb-20 pb-lg-50">
        <div class="container">
            <div class="direction-wrapper">
                <div class="row justify-content-between align-items-lg-center gy-40 gy-lg-0">
                    <div class="col-lg-5">
                        <div class="direction-left-content">
                            <h2 class="display-5 fw-extra-bold custom-jakarta">
                                Get Direction
                            </h2>
                            <div class="d-flex flex-column flex-lg-row gap-5 justify-content-lg-between align-items-lg-center mt-30 mt-lg-50">
                                <div class="direction-details">
                                    <span class="fs-3 straight-line-wrapper fw-semibold position-relative"><span class="straight-line"></span>Venue</span>
                                    <div class="mt-10 mt-lg-30">
                                        <h4 class="custom-jakarta fw-extra-bold">ARUSHA</h4>
                                        <h4 class="custom-jakarta fw-normal">Tanzania</h4>
                                    </div>
                                </div>
                                <div class="direction-details">
                                    <span class="fs-3 straight-line-wrapper fw-semibold position-relative"><span class="straight-line"></span>Time</span>
                                    <div class="mt-10 mt-lg-30">
                                        <h4 class="custom-jakarta fw-normal">08th - 09th August 2024</h4>
                                        <h4 class="custom-jakarta fw-normal">Thursday - Friday 02:30 - 23:00</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-4 mt-lg-40">
                                <a id="mapDirectionBtn" href="#" class="btn btn-gradient d-flex align-items-center justify-content-center custom-roboto gap-10 btn-map-direction"  data-bs-toggle="modal" data-bs-target="#RoutingMapModal">Get Direction <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z"/></svg></a>
                            </div>
                        </div>
                        <!-- direction-left-content -->
                    </div>
                    <!-- col-5 -->

                    <div class="col-lg-6">
                        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3961.9767148238634!2d39.21706687569554!3d-6.7726881662323635!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x185c4e8d8155e59d%3A0x161329d1db32398a!2sMlimani%20City%20Shopping%20Mall!5e0!3m2!1sen!2stz!4v1712872659605!5m2!1sen!2stz" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
<!--                        <div class="map-image map-image-2 parallax position-relative">-->
<!--                            67777-->
<!--                            <span class="map-marker">-->
<!--                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-geo-alt-fill" viewBox="0 0 16 16"><path d="M8 16s6-5.686 6-10A6 6 0 0 0 2 6c0 4.314 6 10 6 10zm0-7a3 3 0 1 1 0-6 3 3 0 0 1 0 6z"/>-->
<!--                                </svg>-->
<!--                            </span>-->
<!---->
<!--                            <div class="map-popup-content"><h3>Basement</h3><p>135W, 46th Street, Dar es Salaam</p><a id="mapDirectionBtn" href="#" class="btn btn-primary btn-sm d-flex align-items-center justify-content-center custom-roboto gap-10 btn-map-direction"  data-bs-toggle="modal" data-bs-target="#RoutingMapModal">Get Direction <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z"/></svg></a></div>-->
<!--                        </div>-->

                        <!-- Modal-Map -->
                        <div class="modal modal-fullscreen routing-map-modal fade" id="RoutingMapModal" tabindex="-1" aria-labelledby="RoutingMapLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="RoutingMapLabel">135 W, 46th Street, Dar es Salaam</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3961.9767148238634!2d39.21706687569554!3d-6.7726881662323635!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x185c4e8d8155e59d%3A0x161329d1db32398a!2sMlimani%20City%20Shopping%20Mall!5e0!3m2!1sen!2stz!4v1712872659605!5m2!1sen!2stz" width="100%" height="600" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
<!--                                        <div id="RoutingMap"></div>-->
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Modal-Map -->
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Direction Section ======================-->


</div>

<!-- Footer ======================-->
<footer class="footer-section footer-1 py-lg-50 py-40 mt-auto">
    <div class="container">
        <div class="row gy-lg-0 gy-10 justify-content-between align-items-center text-center text-lg-start">
            <div class="col-lg-4 order-3 order-lg-1">
                <p class="mb-0 footer-nav">&copy; <?= date("Y"); ?> <a class="text-decoration-none">Maasai Global Festival</a>. All rights Reserved. | Developed by <a class="text-decoration-none" target="_blank" href="https://fesam.co.tz">Fesam Solutions</a></p>
            </div>
            <div class="col-lg-4 order-1 order-lg-2">
                <a class="navbar-brand d-flex justify-content-center" href="index.php" aria-label="nav-brands">
                    <img src="assets/images/maasai.png" class="logo-light" alt="logo" height="70">
                    <img src="assets/images/maasai.png" class="logo-dark" alt="logo" height="70">
                </a>
            </div>
            <div class="col-lg-4 order-2 order-lg-3">
                <ul class="footer-nav list-unstyled d-flex justify-content-center justify-content-lg-end gap-30 mb-0">
                    <li class="nav-item">
                        <a href="#" class="nav-link" aria-label="nav-links">Privacy Policy</a>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link" aria-label="nav-links">Terms & Conditions</a>
                    </li>
                </ul>
            </div>
        </div>
        <!-- row -->
    </div>
    <!-- container -->
</footer>
<!-- Footer ======================-->


<!-- SVG ======================-->
<svg xmlns="http://www.w3.org/2000/svg" style="height: 0px;">
    <defs>
        <linearGradient	id="gradient-subtitle" y1="0" y1="1">
            <stop stop-color="var(--bs-primary)" offset="0"/>
            <stop stop-color="var(--bs-secondary)" offset="1"/>
        </linearGradient>
    </defs>
</svg>
<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">

    <symbol id="eventiva-logo" viewBox="0 0 16 16">
        <path fill-rule="evenodd" clip-rule="evenodd" d="M20 0H0V20H10V24.5455H24.5455V10H20V0ZM20 10H10V20H20V10Z" fill="#B30D5D"/>
    </symbol>

    <symbol id="buttons-logo" viewBox="0 0 25 25">
        <g clip-path="url(#clip0_565_2467)">
            <path fill-rule="evenodd" clip-rule="evenodd" d="M8.58643 7.11145C8.18018 6.70519 8.18018 6.04582 8.58643 5.63853L10.7948 3.43019C11.2021 3.0229 11.8625 3.0229 12.2687 3.43019L21.1073 12.2677C21.5135 12.6739 21.5135 13.3344 21.1073 13.7406L18.8989 15.95C18.4916 16.3562 17.8312 16.3562 17.425 15.95C17.0187 15.5437 16.3583 15.5437 15.9521 15.95C15.5458 16.3573 15.5458 17.0177 15.9521 17.4229C16.3583 17.8292 16.3583 18.4885 15.9521 18.8958L13.7416 21.1073C13.3354 21.5135 12.675 21.5146 12.2687 21.1073L3.43018 12.2677C3.02393 11.8614 3.02393 11.2021 3.43018 10.7948L5.64059 8.5854C6.04684 8.17915 6.70726 8.17915 7.11351 8.5854C7.51976 8.99165 8.18018 8.99165 8.58643 8.5854C8.99268 8.17915 8.99268 7.51874 8.58643 7.11145ZM10.6698 6.50103C11.225 7.66249 11.0218 9.09686 10.0593 10.0594C9.09684 11.0198 7.66351 11.2229 6.50309 10.6698L5.63955 11.5323L13.0041 18.8969L13.8677 18.0344C13.3135 16.8739 13.5166 15.4406 14.4781 14.4771C15.4396 13.5156 16.8739 13.3114 18.0354 13.8667L18.8979 13.0042L11.5323 5.63957L10.6698 6.50103Z"/>
        </g>
        <defs>
            <clipPath id="clip0_565_2467">
                <rect width="25" height="25" fill="white"/>
            </clipPath>
        </defs>
    </symbol>

    <symbol id="contact-plus-icon" viewBox="0 0 41 34">
        <path d="M21.8017 12.6665H23.9612V14.6665H26.8405V12.6665H29V9.99994H26.8405V8H23.9612V9.99994H21.8017V12.6665Z"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M22.2407 18.0007C22.2407 19.4204 21.6417 20.7105 20.665 21.6662C22.0365 22.3705 23.1793 23.4106 23.964 24.6665L21.47 26C20.4742 24.4062 18.6133 23.3339 16.482 23.3339C14.3507 23.3339 12.4898 24.4062 11.494 26L9 24.6665C9.78465 23.4106 10.9274 22.3705 12.299 21.6662C11.3223 20.7105 10.7233 19.4204 10.7233 18.0007C10.7233 15.0553 13.3016 12.6675 16.482 12.6675C19.6624 12.6675 22.2407 15.0553 22.2407 18.0007ZM16.482 20.6673C18.0722 20.6673 19.3613 19.4734 19.3613 18.0007C19.3613 16.528 18.0722 15.3341 16.482 15.3341C14.8918 15.3341 13.6027 16.528 13.6027 18.0007C13.6027 19.4734 14.8918 20.6673 16.482 20.6673Z"/>
    </symbol>

    <symbol id="dash-icon" viewBox="0 0 16 16">
        <path fill-rule="evenodd" d="M2 8a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11A.5.5 0 0 1 2 8Z"/>
    </symbol>

    <symbol id="plus-icon" viewBox="0 0 16 16">
        <path fill-rule="evenodd" d="M8 2a.5.5 0 0 1 .5.5v5h5a.5.5 0 0 1 0 1h-5v5a.5.5 0 0 1-1 0v-5h-5a.5.5 0 0 1 0-1h5v-5A.5.5 0 0 1 8 2Z"/>
    </symbol>

    <symbol id="video-icon" viewBox="0 0 16 16">
        <path d="m11.596 8.697-6.363 3.692c-.54.313-1.233-.066-1.233-.697V4.308c0-.63.692-1.01 1.233-.696l6.363 3.692a.802.802 0 0 1 0 1.393z"/>
    </symbol>

    <symbol id="chevron-right-icon" viewBox="0 0 16 16">
        <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/>
    </symbol>

    <symbol id="chevron-left-icon" viewBox="0 0 16 16">
        <path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/>
    </symbol>

    <symbol id="arrow-up-right" viewBox="0 0 54 54">
        <path d="M12.1758 41.7882C11.4955 41.1079 11.4388 40.0401 12.0057 39.2953L12.1758 39.1007L39.0508 12.2256C39.7929 11.4835 40.9962 11.4835 41.7383 12.2256C42.4186 12.9059 42.4753 13.9737 41.9084 14.7185L41.7383 14.9131L14.8633 41.7882C14.1211 42.5303 12.9179 42.5303 12.1758 41.7882Z"/>
        <path d="M18.7659 15.5153C17.7163 15.5175 16.8637 14.6685 16.8614 13.619C16.8594 12.6649 17.5608 11.8735 18.4769 11.7358L18.7577 11.7146L40.3903 11.668C41.3473 11.6659 42.14 12.3714 42.2746 13.2906L42.2947 13.5723L42.25 35.2067C42.2478 36.2562 41.3952 37.1052 40.3457 37.1031C39.3916 37.1011 38.6031 36.3963 38.4693 35.4797L38.4493 35.1988L38.489 15.4727L18.7659 15.5153Z"/>
    </symbol>

    <symbol id="subscription-form-arrow" viewBox="0 0 37 38">
        <path d="M9.31312 32.4708C8.79853 31.9562 8.75564 31.1486 9.18447 30.5851L9.31312 30.4379L29.6424 10.1086C30.2038 9.54721 31.114 9.54721 31.6754 10.1086C32.19 10.6232 32.2329 11.4309 31.804 11.9943L31.6754 12.1415L11.3461 32.4708C10.7847 33.0322 9.8745 33.0322 9.31312 32.4708Z"/>
        <path d="M14.2977 12.5972C13.5038 12.5989 12.8589 11.9567 12.8571 11.1628C12.8556 10.441 13.3862 9.84238 14.0792 9.73821L14.2915 9.72217L30.6553 9.68693C31.3792 9.68537 31.9788 10.219 32.0807 10.9143L32.0959 11.1274L32.062 27.4925C32.0604 28.2864 31.4154 28.9287 30.6215 28.927C29.8998 28.9255 29.3034 28.3924 29.2022 27.699L29.187 27.4866L29.217 12.565L14.2977 12.5972Z"/>
    </symbol>

    <symbol id="arrow-down-right" viewBox="0 0 44 44">
        <path d="M9.52916 9.31312C10.0438 8.79853 10.8514 8.75564 11.4149 9.18447L11.5621 9.31312L31.8914 29.6424C32.4528 30.2038 32.4528 31.114 31.8914 31.6754C31.3768 32.19 30.5691 32.2329 30.0057 31.804L29.8585 31.6754L9.52916 11.3461C8.96778 10.7847 8.96778 9.8745 9.52916 9.31312Z"/>
        <path d="M29.4028 14.2977C29.4011 13.5038 30.0433 12.8589 30.8372 12.8571C31.559 12.8556 32.1576 13.3862 32.2618 14.0792L32.2778 14.2916L32.3131 30.6553C32.3146 31.3792 31.781 31.9789 31.0857 32.0807L30.8726 32.0959L14.5075 32.062C13.7136 32.0604 13.0713 31.4154 13.073 30.6215C13.0745 29.8998 13.6076 29.3034 14.301 29.2022L14.5134 29.187L29.435 29.217L29.4028 14.2977Z"/>
    </symbol>

    <symbol id="arrow-up-short" viewBox="0 0 12 12">
        <path fill-rule="evenodd" d="M8 12a.5.5 0 0 0 .5-.5V5.707l2.146 2.147a.5.5 0 0 0 .708-.708l-3-3a.5.5 0 0 0-.708 0l-3 3a.5.5 0 1 0 .708.708L7.5 5.707V11.5a.5.5 0 0 0 .5.5z"/>
    </symbol>

    <symbol id="faq-arrow" viewBox="0 0 14 14">
        <path fill-rule="evenodd" d="M8 15a.5.5 0 0 0 .5-.5V2.707l3.146 3.147a.5.5 0 0 0 .708-.708l-4-4a.5.5 0 0 0-.708 0l-4 4a.5.5 0 1 0 .708.708L7.5 2.707V14.5a.5.5 0 0 0 .5.5z"/>
    </symbol>

    <symbol id="calendar" viewBox="0 0 16 16">
        <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5zM2 2a1 1 0 0 0-1 1v1h14V3a1 1 0 0 0-1-1H2zm13 3H1v9a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V5z"/>
    </symbol>

    <symbol id="arrow-up-right-big" viewBox="0 0 218 218">
        <path d="M49.6659 168.314C46.9214 165.57 46.6927 161.262 48.9798 158.257L49.6659 157.472L158.086 49.0517C161.08 46.0577 165.935 46.0577 168.929 49.0517C171.673 51.7961 171.902 56.1037 169.615 59.1086L168.929 59.8937L60.5079 168.314C57.514 171.308 52.6598 171.308 49.6659 168.314Z" stroke-width="15"/>
        <path d="M76.2513 62.3226C72.0172 62.3318 68.5774 58.9067 68.5683 54.6727C68.56 50.8235 71.3899 47.6308 75.0856 47.0752L76.2183 46.9897L163.49 46.8018C167.35 46.7934 170.548 49.6396 171.091 53.3478L171.173 54.4841L170.992 141.763C170.983 145.997 167.544 149.422 163.31 149.413C159.46 149.405 156.28 146.562 155.74 142.864L155.659 141.731L155.819 62.1509L76.2513 62.3226Z" stroke-width="15"/>
    </symbol>

    <symbol id="facebook-icon" viewBox="0 0 20 20">
        <path d="M16 8.049c0-4.446-3.582-8.05-8-8.05C3.58 0-.002 3.603-.002 8.05c0 4.017 2.926 7.347 6.75 7.951v-5.625h-2.03V8.05H6.75V6.275c0-2.017 1.195-3.131 3.022-3.131.876 0 1.791.157 1.791.157v1.98h-1.009c-.993 0-1.303.621-1.303 1.258v1.51h2.218l-.354 2.326H9.25V16c3.824-.604 6.75-3.934 6.75-7.951z"/>
    </symbol>

    <symbol id="gradient-btn-arrow" viewBox="0 0 30 30">
        <path d="M7.03488 22.3327C6.67186 21.9697 6.64161 21.3999 6.94413 21.0024L7.03488 20.8986L21.3763 6.5572C21.7723 6.16117 22.4144 6.16117 22.8104 6.5572C23.1734 6.92023 23.2037 7.49001 22.9012 7.88749L22.8104 7.99134L8.46902 22.3327C8.073 22.7288 7.43091 22.7288 7.03488 22.3327Z"/>
        <path d="M10.5516 8.31267C9.99149 8.31388 9.53649 7.86083 9.53528 7.30077C9.53419 6.79162 9.90851 6.3693 10.3974 6.29581L10.5472 6.2845L22.0911 6.25964C22.6017 6.25854 23.0248 6.63501 23.0966 7.12552L23.1073 7.27582L23.0834 18.8206C23.0823 19.3807 22.6273 19.8338 22.0672 19.8326C21.5581 19.8316 21.1374 19.4555 21.0659 18.9663L21.0552 18.8164L21.0764 8.28996L10.5516 8.31267Z"/>
    </symbol>

    <symbol id="instagram-icon" viewBox="0 0 20 20">
        <path d="M8 0C5.829 0 5.556.01 4.703.048 3.85.088 3.269.222 2.76.42a3.917 3.917 0 0 0-1.417.923A3.927 3.927 0 0 0 .42 2.76C.222 3.268.087 3.85.048 4.7.01 5.555 0 5.827 0 8.001c0 2.172.01 2.444.048 3.297.04.852.174 1.433.372 1.942.205.526.478.972.923 1.417.444.445.89.719 1.416.923.51.198 1.09.333 1.942.372C5.555 15.99 5.827 16 8 16s2.444-.01 3.298-.048c.851-.04 1.434-.174 1.943-.372a3.916 3.916 0 0 0 1.416-.923c.445-.445.718-.891.923-1.417.197-.509.332-1.09.372-1.942C15.99 10.445 16 10.173 16 8s-.01-2.445-.048-3.299c-.04-.851-.175-1.433-.372-1.941a3.926 3.926 0 0 0-.923-1.417A3.911 3.911 0 0 0 13.24.42c-.51-.198-1.092-.333-1.943-.372C10.443.01 10.172 0 7.998 0h.003zm-.717 1.442h.718c2.136 0 2.389.007 3.232.046.78.035 1.204.166 1.486.275.373.145.64.319.92.599.28.28.453.546.598.92.11.281.24.705.275 1.485.039.843.047 1.096.047 3.231s-.008 2.389-.047 3.232c-.035.78-.166 1.203-.275 1.485a2.47 2.47 0 0 1-.599.919c-.28.28-.546.453-.92.598-.28.11-.704.24-1.485.276-.843.038-1.096.047-3.232.047s-2.39-.009-3.233-.047c-.78-.036-1.203-.166-1.485-.276a2.478 2.478 0 0 1-.92-.598 2.48 2.48 0 0 1-.6-.92c-.109-.281-.24-.705-.275-1.485-.038-.843-.046-1.096-.046-3.233 0-2.136.008-2.388.046-3.231.036-.78.166-1.204.276-1.486.145-.373.319-.64.599-.92.28-.28.546-.453.92-.598.282-.11.705-.24 1.485-.276.738-.034 1.024-.044 2.515-.045v.002zm4.988 1.328a.96.96 0 1 0 0 1.92.96.96 0 0 0 0-1.92zm-4.27 1.122a4.109 4.109 0 1 0 0 8.217 4.109 4.109 0 0 0 0-8.217zm0 1.441a2.667 2.667 0 1 1 0 5.334 2.667 2.667 0 0 1 0-5.334z"/>
    </symbol>

    <symbol id="youtube-icon" viewBox="0 0 20 20">
        <path d="M8.051 1.999h.089c.822.003 4.987.033 6.11.335a2.01 2.01 0 0 1 1.415 1.42c.101.38.172.883.22 1.402l.01.104.022.26.008.104c.065.914.073 1.77.074 1.957v.075c-.001.194-.01 1.108-.082 2.06l-.008.105-.009.104c-.05.572-.124 1.14-.235 1.558a2.007 2.007 0 0 1-1.415 1.42c-1.16.312-5.569.334-6.18.335h-.142c-.309 0-1.587-.006-2.927-.052l-.17-.006-.087-.004-.171-.007-.171-.007c-1.11-.049-2.167-.128-2.654-.26a2.007 2.007 0 0 1-1.415-1.419c-.111-.417-.185-.986-.235-1.558L.09 9.82l-.008-.104A31.4 31.4 0 0 1 0 7.68v-.123c.002-.215.01-.958.064-1.778l.007-.103.003-.052.008-.104.022-.26.01-.104c.048-.519.119-1.023.22-1.402a2.007 2.007 0 0 1 1.415-1.42c.487-.13 1.544-.21 2.654-.26l.17-.007.172-.006.086-.003.171-.007A99.788 99.788 0 0 1 7.858 2h.193zM6.4 5.209v4.818l4.157-2.408L6.4 5.209z"/>
    </symbol>

    <symbol id="spotify-icon" viewBox="0 0 20 20">
        <path d="M8 0a8 8 0 1 0 0 16A8 8 0 0 0 8 0zm3.669 11.538a.498.498 0 0 1-.686.165c-1.879-1.147-4.243-1.407-7.028-.77a.499.499 0 0 1-.222-.973c3.048-.696 5.662-.397 7.77.892a.5.5 0 0 1 .166.686zm.979-2.178a.624.624 0 0 1-.858.205c-2.15-1.321-5.428-1.704-7.972-.932a.625.625 0 0 1-.362-1.194c2.905-.881 6.517-.454 8.986 1.063a.624.624 0 0 1 .206.858zm.084-2.268C10.154 5.56 5.9 5.419 3.438 6.166a.748.748 0 1 1-.434-1.432c2.825-.857 7.523-.692 10.492 1.07a.747.747 0 1 1-.764 1.288z"/>
    </symbol>

    <symbol id="gear-icon" viewBox="0 0 16 16">
        <path d="M8 4.754a3.246 3.246 0 1 0 0 6.492 3.246 3.246 0 0 0 0-6.492zM5.754 8a2.246 2.246 0 1 1 4.492 0 2.246 2.246 0 0 1-4.492 0z"/>
        <path d="M9.796 1.343c-.527-1.79-3.065-1.79-3.592 0l-.094.319a.873.873 0 0 1-1.255.52l-.292-.16c-1.64-.892-3.433.902-2.54 2.541l.159.292a.873.873 0 0 1-.52 1.255l-.319.094c-1.79.527-1.79 3.065 0 3.592l.319.094a.873.873 0 0 1 .52 1.255l-.16.292c-.892 1.64.901 3.434 2.541 2.54l.292-.159a.873.873 0 0 1 1.255.52l.094.319c.527 1.79 3.065 1.79 3.592 0l.094-.319a.873.873 0 0 1 1.255-.52l.292.16c1.64.893 3.434-.902 2.54-2.541l-.159-.292a.873.873 0 0 1 .52-1.255l.319-.094c1.79-.527 1.79-3.065 0-3.592l-.319-.094a.873.873 0 0 1-.52-1.255l.16-.292c.893-1.64-.902-3.433-2.541-2.54l-.292.159a.873.873 0 0 1-1.255-.52l-.094-.319zm-2.633.283c.246-.835 1.428-.835 1.674 0l.094.319a1.873 1.873 0 0 0 2.693 1.115l.291-.16c.764-.415 1.6.42 1.184 1.185l-.159.292a1.873 1.873 0 0 0 1.116 2.692l.318.094c.835.246.835 1.428 0 1.674l-.319.094a1.873 1.873 0 0 0-1.115 2.693l.16.291c.415.764-.42 1.6-1.185 1.184l-.291-.159a1.873 1.873 0 0 0-2.693 1.116l-.094.318c-.246.835-1.428.835-1.674 0l-.094-.319a1.873 1.873 0 0 0-2.692-1.115l-.292.16c-.764.415-1.6-.42-1.184-1.185l.159-.291A1.873 1.873 0 0 0 1.945 8.93l-.319-.094c-.835-.246-.835-1.428 0-1.674l.319-.094A1.873 1.873 0 0 0 3.06 4.377l-.16-.292c-.415-.764.42-1.6 1.185-1.184l.292.159a1.873 1.873 0 0 0 2.692-1.115l.094-.319z"/>

    </symbol>

    <symbol id="grammy-icon" viewBox="0 0 40 40">
        <mask id="path-1-outside-1_857_165" maskUnits="userSpaceOnUse" x="6.4585" y="0.776611" width="27" height="39" fill="black">
            <rect fill="white" x="6.4585" y="0.776611" width="27" height="39"/>
            <path d="M14.9892 1.78601C14.7493 1.74385 14.4963 1.84486 14.3557 2.06189C14.1682 2.35126 14.2512 2.73865 14.5412 2.92615L15.5898 3.60486C15.8792 3.79236 16.2665 3.71053 16.454 3.42053C16.6415 3.13116 16.5597 2.74377 16.2697 2.55627L15.2199 1.87634C15.1474 1.82947 15.0692 1.80006 14.9892 1.78601ZM19.3923 1.87512C19.1766 1.86956 18.9654 1.97712 18.8454 2.16931C18.7735 2.28369 11.6462 13.6688 9.80243 16.2806C9.61555 16.545 9.66116 16.9074 9.90741 17.1168C10.1524 17.3262 10.5184 17.3131 10.7497 17.0875C13.3516 14.5444 21.057 16.1089 23.8063 16.9264C23.8263 16.932 23.8467 16.9385 23.8674 16.9423C23.9621 16.9606 25.4181 17.2569 26.4577 18.1764L20.0649 17.5038C19.8911 17.485 19.7127 17.5431 19.5815 17.6613C19.4496 17.7794 19.3752 17.9482 19.3752 18.1251V20.6251H17.2158C14.9758 20.6251 14.3277 22.6574 14.2983 23.733L14.28 24.38L15.0002 24.3751V27.5001H13.9748C13.7448 27.5001 13.533 27.6266 13.4243 27.8297C11.6443 31.1403 10.4938 33.7506 10.0038 38.0543C9.98385 38.2312 10.0407 38.4083 10.1589 38.5414C10.2776 38.6745 10.4471 38.7501 10.6252 38.7501H29.3752C29.5471 38.7501 29.7112 38.6792 29.8293 38.5548C29.9474 38.4298 30.0083 38.2622 29.999 38.0909C29.7771 34.0991 28.6238 31.4725 26.57 27.8187C26.4594 27.6218 26.2512 27.5001 26.0256 27.5001H25.0002V26.7823C30.5119 26.503 31.2385 20.9898 31.2453 20.9327C31.2484 20.9084 31.2502 20.8845 31.2502 20.8595C31.2502 20.5183 31.2321 20.2293 31.216 19.9342L31.8093 19.9965C32.1536 20.0315 32.4603 19.7842 32.4965 19.441C32.5328 19.0979 32.283 18.79 31.9399 18.7538L31.0707 18.6622C30.6332 16.5715 29.2446 15.5496 25.447 12.7772C21.202 9.67785 19.4661 5.23279 19.988 2.62341C20.0473 2.32716 19.8865 2.03094 19.6059 1.91907C19.5361 1.89125 19.4642 1.87698 19.3923 1.87512ZM13.29 4.40808C13.0501 4.36601 12.7971 4.46693 12.6564 4.68396C12.4689 4.97333 12.552 5.36072 12.842 5.54822L13.8906 6.22815C14.1799 6.41565 14.5673 6.3326 14.7548 6.0426C14.9423 5.75323 14.8605 5.36584 14.5705 5.17834L13.5207 4.49841C13.4483 4.45169 13.3699 4.4221 13.29 4.40808ZM18.7172 4.72424C19.1522 7.85924 21.409 11.3774 24.7097 13.7867C28.0786 16.247 29.3155 17.1509 29.7597 18.5243L28.2021 18.3607C27.2615 16.76 25.3223 15.9524 24.1323 15.7203C23.5148 15.5391 16.6371 13.5809 12.239 14.8903C14.1596 11.954 17.0897 7.31362 18.7172 4.72424ZM11.5908 7.03137C11.3508 6.98921 11.0978 7.09022 10.9572 7.30725C10.7697 7.59663 10.8528 7.98401 11.1428 8.17151L12.1926 8.85022C12.4819 9.03772 12.8693 8.95589 13.0568 8.66589C13.2443 8.37652 13.1613 7.98914 12.8713 7.80164L11.8215 7.1217C11.749 7.07483 11.6707 7.04542 11.5908 7.03137ZM9.89154 9.65344C9.65169 9.61137 9.39862 9.71229 9.258 9.92932C9.0705 10.2187 9.15354 10.6061 9.44354 10.7936L10.4921 11.4735C10.7815 11.661 11.1701 11.578 11.3576 11.288C11.5451 10.9986 11.4621 10.6112 11.1721 10.4237L10.1223 9.745C10.0499 9.69828 9.97149 9.66747 9.89154 9.65344ZM8.19232 12.2767C7.95247 12.2344 7.6994 12.3351 7.55878 12.5526C7.37128 12.842 7.45432 13.2294 7.74432 13.4169L8.79291 14.0968C9.08228 14.2843 9.46967 14.2013 9.65717 13.9113C9.84467 13.6219 9.76284 13.2345 9.47284 13.047L8.42303 12.3671C8.35069 12.3202 8.27227 12.2908 8.19232 12.2767ZM20.6252 18.8185L27.3659 19.5289C27.4486 19.7915 27.5002 20.0763 27.5002 20.3907C27.5002 22.0043 26.4524 22.661 25.5641 22.9323C25.4508 22.2771 25.1786 21.7446 24.7499 21.3441C23.9206 20.5691 22.8523 20.617 22.7761 20.6251H20.6252V18.8185ZM28.6806 19.6669L29.9733 19.8036C29.9922 20.1102 29.9998 20.4416 30.0002 20.8192C29.938 21.2659 29.2541 25.2626 25.0002 25.5238V24.3336C25.0571 24.3262 25.12 24.3077 25.1784 24.2982L25.6252 24.2946V24.2103C27.0869 23.8454 28.7502 22.7953 28.7502 20.3907C28.7502 20.1364 28.7215 19.8981 28.6806 19.6669ZM22.842 21.8727C22.972 21.8727 23.5177 21.8964 23.9052 22.2645C24.1058 22.4558 24.2429 22.7199 24.3154 23.0543L15.6594 23.119C15.8231 22.5703 16.2264 21.8751 17.2158 21.8751H20.0002H20.0026L22.8139 21.8739C22.8139 21.8739 22.8239 21.8727 22.842 21.8727ZM16.2502 24.3751H23.7502V27.5001H16.2502V24.3751ZM14.352 28.7501H15.6252H24.3752H25.6569C27.395 31.9389 28.4188 34.0489 28.705 37.5001H11.332C11.8257 33.7757 12.8401 31.6664 14.352 28.7501Z"/>
        </mask>
        <path d="M14.9892 1.78601C14.7493 1.74385 14.4963 1.84486 14.3557 2.06189C14.1682 2.35126 14.2512 2.73865 14.5412 2.92615L15.5898 3.60486C15.8792 3.79236 16.2665 3.71053 16.454 3.42053C16.6415 3.13116 16.5597 2.74377 16.2697 2.55627L15.2199 1.87634C15.1474 1.82947 15.0692 1.80006 14.9892 1.78601ZM19.3923 1.87512C19.1766 1.86956 18.9654 1.97712 18.8454 2.16931C18.7735 2.28369 11.6462 13.6688 9.80243 16.2806C9.61555 16.545 9.66116 16.9074 9.90741 17.1168C10.1524 17.3262 10.5184 17.3131 10.7497 17.0875C13.3516 14.5444 21.057 16.1089 23.8063 16.9264C23.8263 16.932 23.8467 16.9385 23.8674 16.9423C23.9621 16.9606 25.4181 17.2569 26.4577 18.1764L20.0649 17.5038C19.8911 17.485 19.7127 17.5431 19.5815 17.6613C19.4496 17.7794 19.3752 17.9482 19.3752 18.1251V20.6251H17.2158C14.9758 20.6251 14.3277 22.6574 14.2983 23.733L14.28 24.38L15.0002 24.3751V27.5001H13.9748C13.7448 27.5001 13.533 27.6266 13.4243 27.8297C11.6443 31.1403 10.4938 33.7506 10.0038 38.0543C9.98385 38.2312 10.0407 38.4083 10.1589 38.5414C10.2776 38.6745 10.4471 38.7501 10.6252 38.7501H29.3752C29.5471 38.7501 29.7112 38.6792 29.8293 38.5548C29.9474 38.4298 30.0083 38.2622 29.999 38.0909C29.7771 34.0991 28.6238 31.4725 26.57 27.8187C26.4594 27.6218 26.2512 27.5001 26.0256 27.5001H25.0002V26.7823C30.5119 26.503 31.2385 20.9898 31.2453 20.9327C31.2484 20.9084 31.2502 20.8845 31.2502 20.8595C31.2502 20.5183 31.2321 20.2293 31.216 19.9342L31.8093 19.9965C32.1536 20.0315 32.4603 19.7842 32.4965 19.441C32.5328 19.0979 32.283 18.79 31.9399 18.7538L31.0707 18.6622C30.6332 16.5715 29.2446 15.5496 25.447 12.7772C21.202 9.67785 19.4661 5.23279 19.988 2.62341C20.0473 2.32716 19.8865 2.03094 19.6059 1.91907C19.5361 1.89125 19.4642 1.87698 19.3923 1.87512ZM13.29 4.40808C13.0501 4.36601 12.7971 4.46693 12.6564 4.68396C12.4689 4.97333 12.552 5.36072 12.842 5.54822L13.8906 6.22815C14.1799 6.41565 14.5673 6.3326 14.7548 6.0426C14.9423 5.75323 14.8605 5.36584 14.5705 5.17834L13.5207 4.49841C13.4483 4.45169 13.3699 4.4221 13.29 4.40808ZM18.7172 4.72424C19.1522 7.85924 21.409 11.3774 24.7097 13.7867C28.0786 16.247 29.3155 17.1509 29.7597 18.5243L28.2021 18.3607C27.2615 16.76 25.3223 15.9524 24.1323 15.7203C23.5148 15.5391 16.6371 13.5809 12.239 14.8903C14.1596 11.954 17.0897 7.31362 18.7172 4.72424ZM11.5908 7.03137C11.3508 6.98921 11.0978 7.09022 10.9572 7.30725C10.7697 7.59663 10.8528 7.98401 11.1428 8.17151L12.1926 8.85022C12.4819 9.03772 12.8693 8.95589 13.0568 8.66589C13.2443 8.37652 13.1613 7.98914 12.8713 7.80164L11.8215 7.1217C11.749 7.07483 11.6707 7.04542 11.5908 7.03137ZM9.89154 9.65344C9.65169 9.61137 9.39862 9.71229 9.258 9.92932C9.0705 10.2187 9.15354 10.6061 9.44354 10.7936L10.4921 11.4735C10.7815 11.661 11.1701 11.578 11.3576 11.288C11.5451 10.9986 11.4621 10.6112 11.1721 10.4237L10.1223 9.745C10.0499 9.69828 9.97149 9.66747 9.89154 9.65344ZM8.19232 12.2767C7.95247 12.2344 7.6994 12.3351 7.55878 12.5526C7.37128 12.842 7.45432 13.2294 7.74432 13.4169L8.79291 14.0968C9.08228 14.2843 9.46967 14.2013 9.65717 13.9113C9.84467 13.6219 9.76284 13.2345 9.47284 13.047L8.42303 12.3671C8.35069 12.3202 8.27227 12.2908 8.19232 12.2767ZM20.6252 18.8185L27.3659 19.5289C27.4486 19.7915 27.5002 20.0763 27.5002 20.3907C27.5002 22.0043 26.4524 22.661 25.5641 22.9323C25.4508 22.2771 25.1786 21.7446 24.7499 21.3441C23.9206 20.5691 22.8523 20.617 22.7761 20.6251H20.6252V18.8185ZM28.6806 19.6669L29.9733 19.8036C29.9922 20.1102 29.9998 20.4416 30.0002 20.8192C29.938 21.2659 29.2541 25.2626 25.0002 25.5238V24.3336C25.0571 24.3262 25.12 24.3077 25.1784 24.2982L25.6252 24.2946V24.2103C27.0869 23.8454 28.7502 22.7953 28.7502 20.3907C28.7502 20.1364 28.7215 19.8981 28.6806 19.6669ZM22.842 21.8727C22.972 21.8727 23.5177 21.8964 23.9052 22.2645C24.1058 22.4558 24.2429 22.7199 24.3154 23.0543L15.6594 23.119C15.8231 22.5703 16.2264 21.8751 17.2158 21.8751H20.0002H20.0026L22.8139 21.8739C22.8139 21.8739 22.8239 21.8727 22.842 21.8727ZM16.2502 24.3751H23.7502V27.5001H16.2502V24.3751ZM14.352 28.7501H15.6252H24.3752H25.6569C27.395 31.9389 28.4188 34.0489 28.705 37.5001H11.332C11.8257 33.7757 12.8401 31.6664 14.352 28.7501Z" fill="#490AB5"/>
        <path d="M14.9892 1.78601C14.7493 1.74385 14.4963 1.84486 14.3557 2.06189C14.1682 2.35126 14.2512 2.73865 14.5412 2.92615L15.5898 3.60486C15.8792 3.79236 16.2665 3.71053 16.454 3.42053C16.6415 3.13116 16.5597 2.74377 16.2697 2.55627L15.2199 1.87634C15.1474 1.82947 15.0692 1.80006 14.9892 1.78601ZM19.3923 1.87512C19.1766 1.86956 18.9654 1.97712 18.8454 2.16931C18.7735 2.28369 11.6462 13.6688 9.80243 16.2806C9.61555 16.545 9.66116 16.9074 9.90741 17.1168C10.1524 17.3262 10.5184 17.3131 10.7497 17.0875C13.3516 14.5444 21.057 16.1089 23.8063 16.9264C23.8263 16.932 23.8467 16.9385 23.8674 16.9423C23.9621 16.9606 25.4181 17.2569 26.4577 18.1764L20.0649 17.5038C19.8911 17.485 19.7127 17.5431 19.5815 17.6613C19.4496 17.7794 19.3752 17.9482 19.3752 18.1251V20.6251H17.2158C14.9758 20.6251 14.3277 22.6574 14.2983 23.733L14.28 24.38L15.0002 24.3751V27.5001H13.9748C13.7448 27.5001 13.533 27.6266 13.4243 27.8297C11.6443 31.1403 10.4938 33.7506 10.0038 38.0543C9.98385 38.2312 10.0407 38.4083 10.1589 38.5414C10.2776 38.6745 10.4471 38.7501 10.6252 38.7501H29.3752C29.5471 38.7501 29.7112 38.6792 29.8293 38.5548C29.9474 38.4298 30.0083 38.2622 29.999 38.0909C29.7771 34.0991 28.6238 31.4725 26.57 27.8187C26.4594 27.6218 26.2512 27.5001 26.0256 27.5001H25.0002V26.7823C30.5119 26.503 31.2385 20.9898 31.2453 20.9327C31.2484 20.9084 31.2502 20.8845 31.2502 20.8595C31.2502 20.5183 31.2321 20.2293 31.216 19.9342L31.8093 19.9965C32.1536 20.0315 32.4603 19.7842 32.4965 19.441C32.5328 19.0979 32.283 18.79 31.9399 18.7538L31.0707 18.6622C30.6332 16.5715 29.2446 15.5496 25.447 12.7772C21.202 9.67785 19.4661 5.23279 19.988 2.62341C20.0473 2.32716 19.8865 2.03094 19.6059 1.91907C19.5361 1.89125 19.4642 1.87698 19.3923 1.87512ZM13.29 4.40808C13.0501 4.36601 12.7971 4.46693 12.6564 4.68396C12.4689 4.97333 12.552 5.36072 12.842 5.54822L13.8906 6.22815C14.1799 6.41565 14.5673 6.3326 14.7548 6.0426C14.9423 5.75323 14.8605 5.36584 14.5705 5.17834L13.5207 4.49841C13.4483 4.45169 13.3699 4.4221 13.29 4.40808ZM18.7172 4.72424C19.1522 7.85924 21.409 11.3774 24.7097 13.7867C28.0786 16.247 29.3155 17.1509 29.7597 18.5243L28.2021 18.3607C27.2615 16.76 25.3223 15.9524 24.1323 15.7203C23.5148 15.5391 16.6371 13.5809 12.239 14.8903C14.1596 11.954 17.0897 7.31362 18.7172 4.72424ZM11.5908 7.03137C11.3508 6.98921 11.0978 7.09022 10.9572 7.30725C10.7697 7.59663 10.8528 7.98401 11.1428 8.17151L12.1926 8.85022C12.4819 9.03772 12.8693 8.95589 13.0568 8.66589C13.2443 8.37652 13.1613 7.98914 12.8713 7.80164L11.8215 7.1217C11.749 7.07483 11.6707 7.04542 11.5908 7.03137ZM9.89154 9.65344C9.65169 9.61137 9.39862 9.71229 9.258 9.92932C9.0705 10.2187 9.15354 10.6061 9.44354 10.7936L10.4921 11.4735C10.7815 11.661 11.1701 11.578 11.3576 11.288C11.5451 10.9986 11.4621 10.6112 11.1721 10.4237L10.1223 9.745C10.0499 9.69828 9.97149 9.66747 9.89154 9.65344ZM8.19232 12.2767C7.95247 12.2344 7.6994 12.3351 7.55878 12.5526C7.37128 12.842 7.45432 13.2294 7.74432 13.4169L8.79291 14.0968C9.08228 14.2843 9.46967 14.2013 9.65717 13.9113C9.84467 13.6219 9.76284 13.2345 9.47284 13.047L8.42303 12.3671C8.35069 12.3202 8.27227 12.2908 8.19232 12.2767ZM20.6252 18.8185L27.3659 19.5289C27.4486 19.7915 27.5002 20.0763 27.5002 20.3907C27.5002 22.0043 26.4524 22.661 25.5641 22.9323C25.4508 22.2771 25.1786 21.7446 24.7499 21.3441C23.9206 20.5691 22.8523 20.617 22.7761 20.6251H20.6252V18.8185ZM28.6806 19.6669L29.9733 19.8036C29.9922 20.1102 29.9998 20.4416 30.0002 20.8192C29.938 21.2659 29.2541 25.2626 25.0002 25.5238V24.3336C25.0571 24.3262 25.12 24.3077 25.1784 24.2982L25.6252 24.2946V24.2103C27.0869 23.8454 28.7502 22.7953 28.7502 20.3907C28.7502 20.1364 28.7215 19.8981 28.6806 19.6669ZM22.842 21.8727C22.972 21.8727 23.5177 21.8964 23.9052 22.2645C24.1058 22.4558 24.2429 22.7199 24.3154 23.0543L15.6594 23.119C15.8231 22.5703 16.2264 21.8751 17.2158 21.8751H20.0002H20.0026L22.8139 21.8739C22.8139 21.8739 22.8239 21.8727 22.842 21.8727ZM16.2502 24.3751H23.7502V27.5001H16.2502V24.3751ZM14.352 28.7501H15.6252H24.3752H25.6569C27.395 31.9389 28.4188 34.0489 28.705 37.5001H11.332C11.8257 33.7757 12.8401 31.6664 14.352 28.7501Z" stroke="#490AB5" mask="url(#path-1-outside-1_857_165)"/>

    </symbol>


    <symbol id="billboard-icon" viewBox="0 0 40 40">
        <mask id="path-1-outside-1_857_167" maskUnits="userSpaceOnUse" x="0.25" y="0.25" width="38" height="38" fill="black">
            <rect fill="white" x="0.25" y="0.25" width="38" height="38"/>
            <path d="M19.375 1.25C9.38232 1.25 1.25 9.38232 1.25 19.375C1.25 29.3677 9.38232 37.5 19.375 37.5C29.3677 37.5 37.5 29.3677 37.5 19.375C37.5 9.38232 29.3677 1.25 19.375 1.25ZM19.375 2.5C28.6792 2.5 36.25 10.0708 36.25 19.375C36.25 28.6792 28.6792 36.25 19.375 36.25C10.0708 36.25 2.5 28.6792 2.5 19.375C2.5 10.0708 10.0708 2.5 19.375 2.5ZM19.1016 5.00488C15.4199 5.08057 11.8506 6.56738 9.20898 9.20898C3.60596 14.8145 3.60596 23.9331 9.20898 29.5386C9.33105 29.6606 9.49219 29.7217 9.65088 29.7217C9.81201 29.7217 9.97314 29.6606 10.0952 29.5386C10.3394 29.2944 10.3394 28.8989 10.0952 28.6548C4.97559 23.5376 4.97803 15.2124 10.0952 10.0952C13.0615 7.12646 17.312 5.74951 21.4624 6.41602C21.8018 6.47217 22.1216 6.23779 22.1777 5.89844C22.2339 5.55664 21.9995 5.23438 21.6602 5.18066C20.8057 5.04395 19.9512 4.98779 19.1016 5.00488ZM24.1602 5.8667C23.9185 5.87646 23.6938 6.03027 23.6035 6.27197C23.4814 6.59668 23.645 6.95557 23.9697 7.07764C24.4141 7.24365 24.8535 7.43408 25.2832 7.64893C25.3735 7.69531 25.4688 7.71729 25.564 7.71729C25.791 7.71729 26.0107 7.59277 26.123 7.37305C26.2769 7.06787 26.1523 6.68945 25.8447 6.5332C25.3784 6.29883 24.8926 6.08643 24.4067 5.90332C24.3262 5.87402 24.2432 5.86426 24.1602 5.8667ZM27.771 7.92236C27.6099 7.94189 27.4609 8.02246 27.3535 8.15674C27.1411 8.43018 27.1875 8.8208 27.4609 9.0332C27.8784 9.36035 28.2812 9.71924 28.6548 10.0952C33.7744 15.2124 33.7744 23.5376 28.6548 28.6548C28.4106 28.9014 28.4106 29.2944 28.6548 29.541C28.7769 29.6606 28.938 29.7241 29.0991 29.7241C29.2578 29.7241 29.4189 29.6606 29.541 29.541C35.144 23.9355 35.144 14.8145 29.541 9.20898C29.1284 8.79883 28.689 8.4082 28.2324 8.04932C28.0957 7.94434 27.9297 7.90283 27.771 7.92236ZM18.2275 10.0098C18.0469 9.98047 17.8613 10.0293 17.7222 10.1489C17.5806 10.2661 17.5 10.4419 17.5 10.625V18.8892C17.0923 18.7964 16.6748 18.75 16.25 18.75C13.4937 18.75 11.25 20.7129 11.25 23.125C11.25 25.5371 13.4937 27.5 16.25 27.5C19.0063 27.5 21.25 25.5371 21.25 23.125V16.1548L25.5225 16.8652C25.7056 16.897 25.8887 16.8457 26.0278 16.7285C26.1694 16.6089 26.25 16.4331 26.25 16.25V11.875C26.25 11.5698 26.0278 11.3086 25.7275 11.2598L18.2275 10.0098ZM18.75 11.3647L25 12.4048V15.5103L20.7275 14.7998C20.5469 14.7705 20.3613 14.8218 20.2222 14.9414C20.0806 15.0586 20 15.2344 20 15.4175V23.125C20 24.8486 18.3179 26.25 16.25 26.25C14.1821 26.25 12.5 24.8486 12.5 23.125C12.5 21.4014 14.1821 20 16.25 20C16.8164 20 17.3682 20.1074 17.8882 20.3198C18.0835 20.4004 18.3008 20.376 18.4741 20.2588C18.6475 20.1416 18.75 19.9487 18.75 19.7412V11.3647ZM13.3594 29.6216C13.1152 29.5923 12.8687 29.7046 12.7417 29.9292L12.1167 31.0107C11.9434 31.311 12.0459 31.6919 12.3438 31.8652C12.4414 31.9214 12.5488 31.9482 12.6562 31.9482C12.8711 31.9482 13.0811 31.8359 13.1958 31.6357L13.8208 30.5542C13.9941 30.2563 13.894 29.873 13.5938 29.6997C13.5181 29.6582 13.4399 29.6313 13.3594 29.6216ZM25.3906 29.6216C25.3101 29.6313 25.2295 29.6582 25.1562 29.6997C24.856 29.873 24.7559 30.2563 24.9292 30.5566L25.5542 31.6382C25.6689 31.8384 25.8789 31.9507 26.0938 31.9507C26.2012 31.9507 26.3086 31.9214 26.4062 31.8652C26.7065 31.6919 26.8066 31.311 26.6333 31.0132L26.0083 29.9316C25.8789 29.707 25.6323 29.5923 25.3906 29.6216ZM16.1353 30.8398C15.8936 30.874 15.6836 31.0474 15.6152 31.2988L15.293 32.5073C15.2026 32.8394 15.4028 33.1812 15.7349 33.2715C15.7886 33.2861 15.8423 33.291 15.8984 33.291C16.1719 33.291 16.4258 33.1079 16.5015 32.8296L16.8262 31.6211C16.9141 31.2891 16.7163 30.9448 16.3843 30.8569C16.2988 30.8325 16.2158 30.8301 16.1353 30.8398ZM22.6172 30.8398C22.5366 30.8301 22.4512 30.8325 22.3657 30.8569C22.0337 30.9448 21.8359 31.2891 21.9238 31.6211L22.2485 32.8296C22.3242 33.1079 22.5757 33.291 22.8516 33.291C22.9077 33.291 22.9614 33.2861 23.0151 33.2715C23.3472 33.1812 23.5474 32.8394 23.457 32.5073L23.1348 31.2988C23.0664 31.0474 22.8564 30.874 22.6172 30.8398ZM19.375 31.25C19.0283 31.25 18.75 31.5283 18.75 31.875V33.125C18.75 33.4717 19.0283 33.75 19.375 33.75C19.7217 33.75 20 33.4717 20 33.125V31.875C20 31.5283 19.7217 31.25 19.375 31.25Z"/>
        </mask>
        <path d="M19.375 1.25C9.38232 1.25 1.25 9.38232 1.25 19.375C1.25 29.3677 9.38232 37.5 19.375 37.5C29.3677 37.5 37.5 29.3677 37.5 19.375C37.5 9.38232 29.3677 1.25 19.375 1.25ZM19.375 2.5C28.6792 2.5 36.25 10.0708 36.25 19.375C36.25 28.6792 28.6792 36.25 19.375 36.25C10.0708 36.25 2.5 28.6792 2.5 19.375C2.5 10.0708 10.0708 2.5 19.375 2.5ZM19.1016 5.00488C15.4199 5.08057 11.8506 6.56738 9.20898 9.20898C3.60596 14.8145 3.60596 23.9331 9.20898 29.5386C9.33105 29.6606 9.49219 29.7217 9.65088 29.7217C9.81201 29.7217 9.97314 29.6606 10.0952 29.5386C10.3394 29.2944 10.3394 28.8989 10.0952 28.6548C4.97559 23.5376 4.97803 15.2124 10.0952 10.0952C13.0615 7.12646 17.312 5.74951 21.4624 6.41602C21.8018 6.47217 22.1216 6.23779 22.1777 5.89844C22.2339 5.55664 21.9995 5.23438 21.6602 5.18066C20.8057 5.04395 19.9512 4.98779 19.1016 5.00488ZM24.1602 5.8667C23.9185 5.87646 23.6938 6.03027 23.6035 6.27197C23.4814 6.59668 23.645 6.95557 23.9697 7.07764C24.4141 7.24365 24.8535 7.43408 25.2832 7.64893C25.3735 7.69531 25.4688 7.71729 25.564 7.71729C25.791 7.71729 26.0107 7.59277 26.123 7.37305C26.2769 7.06787 26.1523 6.68945 25.8447 6.5332C25.3784 6.29883 24.8926 6.08643 24.4067 5.90332C24.3262 5.87402 24.2432 5.86426 24.1602 5.8667ZM27.771 7.92236C27.6099 7.94189 27.4609 8.02246 27.3535 8.15674C27.1411 8.43018 27.1875 8.8208 27.4609 9.0332C27.8784 9.36035 28.2812 9.71924 28.6548 10.0952C33.7744 15.2124 33.7744 23.5376 28.6548 28.6548C28.4106 28.9014 28.4106 29.2944 28.6548 29.541C28.7769 29.6606 28.938 29.7241 29.0991 29.7241C29.2578 29.7241 29.4189 29.6606 29.541 29.541C35.144 23.9355 35.144 14.8145 29.541 9.20898C29.1284 8.79883 28.689 8.4082 28.2324 8.04932C28.0957 7.94434 27.9297 7.90283 27.771 7.92236ZM18.2275 10.0098C18.0469 9.98047 17.8613 10.0293 17.7222 10.1489C17.5806 10.2661 17.5 10.4419 17.5 10.625V18.8892C17.0923 18.7964 16.6748 18.75 16.25 18.75C13.4937 18.75 11.25 20.7129 11.25 23.125C11.25 25.5371 13.4937 27.5 16.25 27.5C19.0063 27.5 21.25 25.5371 21.25 23.125V16.1548L25.5225 16.8652C25.7056 16.897 25.8887 16.8457 26.0278 16.7285C26.1694 16.6089 26.25 16.4331 26.25 16.25V11.875C26.25 11.5698 26.0278 11.3086 25.7275 11.2598L18.2275 10.0098ZM18.75 11.3647L25 12.4048V15.5103L20.7275 14.7998C20.5469 14.7705 20.3613 14.8218 20.2222 14.9414C20.0806 15.0586 20 15.2344 20 15.4175V23.125C20 24.8486 18.3179 26.25 16.25 26.25C14.1821 26.25 12.5 24.8486 12.5 23.125C12.5 21.4014 14.1821 20 16.25 20C16.8164 20 17.3682 20.1074 17.8882 20.3198C18.0835 20.4004 18.3008 20.376 18.4741 20.2588C18.6475 20.1416 18.75 19.9487 18.75 19.7412V11.3647ZM13.3594 29.6216C13.1152 29.5923 12.8687 29.7046 12.7417 29.9292L12.1167 31.0107C11.9434 31.311 12.0459 31.6919 12.3438 31.8652C12.4414 31.9214 12.5488 31.9482 12.6562 31.9482C12.8711 31.9482 13.0811 31.8359 13.1958 31.6357L13.8208 30.5542C13.9941 30.2563 13.894 29.873 13.5938 29.6997C13.5181 29.6582 13.4399 29.6313 13.3594 29.6216ZM25.3906 29.6216C25.3101 29.6313 25.2295 29.6582 25.1562 29.6997C24.856 29.873 24.7559 30.2563 24.9292 30.5566L25.5542 31.6382C25.6689 31.8384 25.8789 31.9507 26.0938 31.9507C26.2012 31.9507 26.3086 31.9214 26.4062 31.8652C26.7065 31.6919 26.8066 31.311 26.6333 31.0132L26.0083 29.9316C25.8789 29.707 25.6323 29.5923 25.3906 29.6216ZM16.1353 30.8398C15.8936 30.874 15.6836 31.0474 15.6152 31.2988L15.293 32.5073C15.2026 32.8394 15.4028 33.1812 15.7349 33.2715C15.7886 33.2861 15.8423 33.291 15.8984 33.291C16.1719 33.291 16.4258 33.1079 16.5015 32.8296L16.8262 31.6211C16.9141 31.2891 16.7163 30.9448 16.3843 30.8569C16.2988 30.8325 16.2158 30.8301 16.1353 30.8398ZM22.6172 30.8398C22.5366 30.8301 22.4512 30.8325 22.3657 30.8569C22.0337 30.9448 21.8359 31.2891 21.9238 31.6211L22.2485 32.8296C22.3242 33.1079 22.5757 33.291 22.8516 33.291C22.9077 33.291 22.9614 33.2861 23.0151 33.2715C23.3472 33.1812 23.5474 32.8394 23.457 32.5073L23.1348 31.2988C23.0664 31.0474 22.8564 30.874 22.6172 30.8398ZM19.375 31.25C19.0283 31.25 18.75 31.5283 18.75 31.875V33.125C18.75 33.4717 19.0283 33.75 19.375 33.75C19.7217 33.75 20 33.4717 20 33.125V31.875C20 31.5283 19.7217 31.25 19.375 31.25Z" fill="#490AB5"/>
        <path d="M19.375 1.25C9.38232 1.25 1.25 9.38232 1.25 19.375C1.25 29.3677 9.38232 37.5 19.375 37.5C29.3677 37.5 37.5 29.3677 37.5 19.375C37.5 9.38232 29.3677 1.25 19.375 1.25ZM19.375 2.5C28.6792 2.5 36.25 10.0708 36.25 19.375C36.25 28.6792 28.6792 36.25 19.375 36.25C10.0708 36.25 2.5 28.6792 2.5 19.375C2.5 10.0708 10.0708 2.5 19.375 2.5ZM19.1016 5.00488C15.4199 5.08057 11.8506 6.56738 9.20898 9.20898C3.60596 14.8145 3.60596 23.9331 9.20898 29.5386C9.33105 29.6606 9.49219 29.7217 9.65088 29.7217C9.81201 29.7217 9.97314 29.6606 10.0952 29.5386C10.3394 29.2944 10.3394 28.8989 10.0952 28.6548C4.97559 23.5376 4.97803 15.2124 10.0952 10.0952C13.0615 7.12646 17.312 5.74951 21.4624 6.41602C21.8018 6.47217 22.1216 6.23779 22.1777 5.89844C22.2339 5.55664 21.9995 5.23438 21.6602 5.18066C20.8057 5.04395 19.9512 4.98779 19.1016 5.00488ZM24.1602 5.8667C23.9185 5.87646 23.6938 6.03027 23.6035 6.27197C23.4814 6.59668 23.645 6.95557 23.9697 7.07764C24.4141 7.24365 24.8535 7.43408 25.2832 7.64893C25.3735 7.69531 25.4688 7.71729 25.564 7.71729C25.791 7.71729 26.0107 7.59277 26.123 7.37305C26.2769 7.06787 26.1523 6.68945 25.8447 6.5332C25.3784 6.29883 24.8926 6.08643 24.4067 5.90332C24.3262 5.87402 24.2432 5.86426 24.1602 5.8667ZM27.771 7.92236C27.6099 7.94189 27.4609 8.02246 27.3535 8.15674C27.1411 8.43018 27.1875 8.8208 27.4609 9.0332C27.8784 9.36035 28.2812 9.71924 28.6548 10.0952C33.7744 15.2124 33.7744 23.5376 28.6548 28.6548C28.4106 28.9014 28.4106 29.2944 28.6548 29.541C28.7769 29.6606 28.938 29.7241 29.0991 29.7241C29.2578 29.7241 29.4189 29.6606 29.541 29.541C35.144 23.9355 35.144 14.8145 29.541 9.20898C29.1284 8.79883 28.689 8.4082 28.2324 8.04932C28.0957 7.94434 27.9297 7.90283 27.771 7.92236ZM18.2275 10.0098C18.0469 9.98047 17.8613 10.0293 17.7222 10.1489C17.5806 10.2661 17.5 10.4419 17.5 10.625V18.8892C17.0923 18.7964 16.6748 18.75 16.25 18.75C13.4937 18.75 11.25 20.7129 11.25 23.125C11.25 25.5371 13.4937 27.5 16.25 27.5C19.0063 27.5 21.25 25.5371 21.25 23.125V16.1548L25.5225 16.8652C25.7056 16.897 25.8887 16.8457 26.0278 16.7285C26.1694 16.6089 26.25 16.4331 26.25 16.25V11.875C26.25 11.5698 26.0278 11.3086 25.7275 11.2598L18.2275 10.0098ZM18.75 11.3647L25 12.4048V15.5103L20.7275 14.7998C20.5469 14.7705 20.3613 14.8218 20.2222 14.9414C20.0806 15.0586 20 15.2344 20 15.4175V23.125C20 24.8486 18.3179 26.25 16.25 26.25C14.1821 26.25 12.5 24.8486 12.5 23.125C12.5 21.4014 14.1821 20 16.25 20C16.8164 20 17.3682 20.1074 17.8882 20.3198C18.0835 20.4004 18.3008 20.376 18.4741 20.2588C18.6475 20.1416 18.75 19.9487 18.75 19.7412V11.3647ZM13.3594 29.6216C13.1152 29.5923 12.8687 29.7046 12.7417 29.9292L12.1167 31.0107C11.9434 31.311 12.0459 31.6919 12.3438 31.8652C12.4414 31.9214 12.5488 31.9482 12.6562 31.9482C12.8711 31.9482 13.0811 31.8359 13.1958 31.6357L13.8208 30.5542C13.9941 30.2563 13.894 29.873 13.5938 29.6997C13.5181 29.6582 13.4399 29.6313 13.3594 29.6216ZM25.3906 29.6216C25.3101 29.6313 25.2295 29.6582 25.1562 29.6997C24.856 29.873 24.7559 30.2563 24.9292 30.5566L25.5542 31.6382C25.6689 31.8384 25.8789 31.9507 26.0938 31.9507C26.2012 31.9507 26.3086 31.9214 26.4062 31.8652C26.7065 31.6919 26.8066 31.311 26.6333 31.0132L26.0083 29.9316C25.8789 29.707 25.6323 29.5923 25.3906 29.6216ZM16.1353 30.8398C15.8936 30.874 15.6836 31.0474 15.6152 31.2988L15.293 32.5073C15.2026 32.8394 15.4028 33.1812 15.7349 33.2715C15.7886 33.2861 15.8423 33.291 15.8984 33.291C16.1719 33.291 16.4258 33.1079 16.5015 32.8296L16.8262 31.6211C16.9141 31.2891 16.7163 30.9448 16.3843 30.8569C16.2988 30.8325 16.2158 30.8301 16.1353 30.8398ZM22.6172 30.8398C22.5366 30.8301 22.4512 30.8325 22.3657 30.8569C22.0337 30.9448 21.8359 31.2891 21.9238 31.6211L22.2485 32.8296C22.3242 33.1079 22.5757 33.291 22.8516 33.291C22.9077 33.291 22.9614 33.2861 23.0151 33.2715C23.3472 33.1812 23.5474 32.8394 23.457 32.5073L23.1348 31.2988C23.0664 31.0474 22.8564 30.874 22.6172 30.8398ZM19.375 31.25C19.0283 31.25 18.75 31.5283 18.75 31.875V33.125C18.75 33.4717 19.0283 33.75 19.375 33.75C19.7217 33.75 20 33.4717 20 33.125V31.875C20 31.5283 19.7217 31.25 19.375 31.25Z" stroke="#490AB5" mask="url(#path-1-outside-1_857_167)"/>

    </symbol>

    <symbol id="star-icon" viewBox="0 0 47 42">
        <path d="M23.5 0L30.3794 14.8524L47 21L30.3794 27.1476L23.5 42L16.6206 27.1476L0 21L16.6206 14.8524L23.5 0Z" fill="white"/>
    </symbol>

    <symbol id="pricing-1-icon" viewBox="0 0 55 49">
        <path opacity="0.4" d="M0.416504 38.0417C0.416504 44.0247 5.26675 48.875 11.2498 48.875H43.7498C49.7329 48.875 54.5832 44.0247 54.5832 38.0417V33.625C54.5832 33.0727 54.1333 32.6315 53.5851 32.5643C49.5686 32.0723 46.4582 28.6494 46.4582 24.5C46.4582 20.3506 49.5686 16.9277 53.5851 16.4357C54.1333 16.3685 54.5832 15.9273 54.5832 15.375V10.9583C54.5832 4.97525 49.7329 0.125 43.7498 0.125H11.2498C5.26675 0.125 0.416504 4.97525 0.416504 10.9583V15.375C0.416504 15.9273 0.866406 16.3685 1.41459 16.4357C5.43105 16.9277 8.5415 20.3506 8.5415 24.5C8.5415 28.6494 5.43105 32.0723 1.41459 32.5643C0.866407 32.6315 0.416504 33.0727 0.416504 33.625V38.0417Z"/>
        <path d="M22.0832 16.3748C22.0832 17.8706 20.8706 19.0832 19.3748 19.0832C17.8791 19.0832 16.6665 17.8706 16.6665 16.3748C16.6665 14.8791 17.8791 13.6665 19.3748 13.6665C20.8706 13.6665 22.0832 14.8791 22.0832 16.3748Z"/>
        <path d="M38.3332 32.6248C38.3332 34.1206 37.1206 35.3332 35.6248 35.3332C34.1291 35.3332 32.9165 34.1206 32.9165 32.6248C32.9165 31.1291 34.1291 29.9165 35.6248 29.9165C37.1206 29.9165 38.3332 31.1291 38.3332 32.6248Z"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M37.0613 14.9387C37.8546 15.7319 37.8546 17.0181 37.0613 17.8113L20.8113 34.0613C20.0181 34.8546 18.7319 34.8546 17.9387 34.0613C17.1454 33.2681 17.1454 31.9819 17.9387 31.1887L34.1887 14.9387C34.9819 14.1454 36.2681 14.1454 37.0613 14.9387Z"/>
    </symbol>

    <symbol id="pricing-2-icon" viewBox="0 0 55 49">
        <path opacity="0.4" d="M45.2146 2.08224L53.1285 11.0978C54.9652 13.19 55.0745 16.3086 53.3889 18.5275L32.0644 46.5991C29.7592 49.6336 25.2405 49.6337 22.9353 46.5991L1.61075 18.5275C-0.0747739 16.3086 0.0345202 13.19 1.87113 11.0978L9.78513 2.08224C10.878 0.837296 12.4444 0.125 14.0893 0.125H22.3809H33.2586H40.9104C42.5553 0.125 44.1217 0.837296 45.2146 2.08224Z"/>
        <path d="M52.5519 12.6727C53.6738 12.6727 54.5832 13.5821 54.5832 14.7039C54.5832 15.8258 53.6738 16.7352 52.5519 16.7352L2.44775 16.7349C1.32593 16.7349 0.416504 15.8254 0.416504 14.7036C0.416504 13.5818 1.32593 12.6724 2.44775 12.6724L52.5519 12.6727Z"/>
    </symbol>

    <symbol id="pricing-3-icon" viewBox="0 0 55 49">
        <path opacity="0.4" d="M25.6496 6.69121C19.8979 2.66086 11.8259 0.834438 5.81781 0.155528C2.84432 -0.180475 0.416504 2.30256 0.416504 5.36611V35.8749C0.416504 38.9384 2.84432 41.4224 5.81781 41.7584C11.8259 42.4373 19.8979 44.2637 25.6496 48.294C26.2023 48.6814 26.8511 48.875 27.4998 48.875V7.27216C26.8511 7.27216 26.2023 7.07851 25.6496 6.69121Z"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M6.53447 14.0449C6.70616 12.9363 7.74405 12.1767 8.85266 12.3484C12.381 12.8949 16.3545 13.8082 20.1077 15.2596C21.1541 15.6642 21.6743 16.8404 21.2697 17.8867C20.865 18.933 19.6888 19.4533 18.6425 19.0486C15.2337 17.7304 11.5589 16.8785 8.23092 16.3631C7.12231 16.1914 6.36278 15.1535 6.53447 14.0449Z"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M6.53447 24.8784C6.70616 23.7698 7.74405 23.0102 8.85266 23.1819C10.6394 23.4586 12.5351 23.8287 14.4554 24.3131C15.5431 24.5876 16.2024 25.6918 15.928 26.7796C15.6536 27.8673 14.5493 28.5266 13.4616 28.2522C11.6784 27.8023 9.90804 27.4563 8.23092 27.1966C7.12231 27.0249 6.36278 25.987 6.53447 24.8784Z"/>
        <path d="M29.3503 6.69121C35.1019 2.66086 43.1739 0.834438 49.182 0.155528C52.1555 -0.180475 54.5833 2.30256 54.5833 5.36611V35.8749C54.5833 38.9384 52.1555 41.4224 49.182 41.7584C43.1739 42.4373 35.1019 44.2637 29.3503 48.294C28.7976 48.6814 28.1488 48.875 27.5 48.875V7.27216C28.1488 7.27216 28.7976 7.07851 29.3503 6.69121Z"/>

    </symbol>

    <symbol  id="ticket" viewBox="0 0 420 639">
        <path d="M1 30C1 13.9838 13.9837 1 30 1H390C406.016 1 419 13.9837 419 30V427.633C419 435.944 414.514 443.607 407.267 447.675C390.261 457.222 390.261 481.702 407.267 491.249C414.514 495.317 419 502.98 419 511.291V609C419 625.016 406.016 638 390 638H30C13.9838 638 1 625.016 1 609V511.96C1 503.329 5.89026 495.444 13.6218 491.607C31.9323 482.521 31.9323 456.403 13.6218 447.317C5.89026 443.48 1 435.595 1 426.964V30Z" fill="#0C0614" stroke="#1E1728" stroke-width="2"/>
    </symbol>

    <symbol id="check-icon" viewBox="0 0 16 16">
        <path d="M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z"/>
    </symbol>

</svg>
<!-- SVG ======================-->


<!-- Scripts/Plugins ======================-->

<script src="assets/js/jquery-3.7.0.min.js"></script>
<script src="assets/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/jquery.magnific-popup.min.js"></script>
<script src="assets/js/swiper-bundle.min.js"></script>
<!-- text-opacity -->
<script src="assets/js/gsap.min.js"></script>
<script src="assets/js/scrollTrigger.min.js"></script>
<script src="assets/js/text-opacity.js"></script>
<!-- text-opacity -->

<!-- counter-up -->
<script src="assets/js/odometer.js"></script>
<!-- counter-up -->
<script src="assets/js/countdown.js"></script>
<script src="assets/js/scroll.js"></script>

<!-- map -->
<script src="assets/js/leaflet.js"></script>
<script src="assets/js/leaflet-routing-machine.min.js"></script>
<script src="assets/js/leaflet-scripts.js"></script>
<!-- map -->

<script src="assets/js/scripts.js"></script>
<!-- Scripts/Plugins ======================-->

</body>

</html>